Connection Manager Administration Kit Guide

 Microsoft Connection Manager Administration Kit Guide

  • Before installing the Connection Manager Administration Kit, see Before you start: Understanding Connection Manager and the Administration Kit.
  • To decide what to customize Connection Manager and create your customization plan, see Phase one: Planning, which includes a planning worksheet to simplify the design and implementation of your plan.
  • For information on how to design and develop custom graphics, text, programs, and other elements to support your needs, see Phase two: Developing custom elements.
  • For information on how to create your service profiles using the CMAK wizard and advanced customization techniques, see Phase three: Running the CMAK Wizard and creating a service profile.
  • For information on delivery options and methods, see Phase four: Preparing for delivery.
  • For information on testing, see Phase five: Testing your deliverables.
  • For problem-solving instructions and other support information, see Phase six: Supporting your customers.


Welcome

Use this Connection Manager Administration Kit Guide to plan and develop the Connection Manager custom elements that you want in your client dialer. Then, simply run the Connection Manager Administration Kit (CMAK) wizard, answering the questions and providing the information about your custom elements. The CMAK wizard then builds a service profile, which is a set of files which you distribute to your users so that they can easily install and run your custom version of Connection Manager.

Audience

The Connection Manager Administration Kit Guide is designed for the network administrators, information officers, and other team members responsible for the design, development, testing, distribution, and support of connection software for the customers who connect to your Internet or network service.

About this document

The Connection Manager Administration Kit (CMAK) wizard provides defaults that support quick and easy creation of a basic Connection Manager service profile. If you want to use all of the defaults and do not want to take advantage of the many customizable elements, you probably do not need this guide.

However, if you want a custom dialer that promotes your brand and supports more advanced functions, such as automatic phone book updates and customized connect actions, you need this guide to help you effectively plan and implement your custom elements. To facilitate customization, a planning worksheet is included to help you document your customization requirements and track the design and development efforts needed to implement your requirements.

Notes

  • The information in this guide is based on the assumption that you have already installed the CMAK software. For more information on evaluating and installing Connection Manager, refer to the documentation that you used to install the software or go to www.microsoft.com.
  • You can display this guide directly from the CMAK wizard by clicking Help. When you click Help in a dialog box, the Help topic associated with that specific dialog box appears.


Before you start: Understanding Connection Manager and the Administration Kit

Connection Manager provides a graphical user interface so your customers can connect to your service using connection features that you define. The Connection Manager Administration Kit (CMAK) wizard simplifies the customization process by providing a graphical interface that you use to specify custom elements for your service. It then builds your customized installation package for you. This section of the CMAK Guide covers the information you need to know before starting the customization process:

  • Connection Manager components and system requirements
  • Connection Manager features
  • Connection Manager user interface
  • The Connection Manager Administration Kit and the customization process
  • Connection Point Services
  • Internet Explorer Administration Kit


Connection Manager components and system requirements

This section covers the Connection Manager components and the system requirements for installing these components.

Connection Manager components

To install and use Connection Manager, your customers must have the following components:

  • At least one service profile (the set of customized files needed to install and use Connection Manager to connect to your service), which you build using the CMAK wizard.
  • Microsoft Connection Manager version 1.2 (which you can include with the service profile that you provide to your customers).

System requirements for Connection Manager

Connection Manager requires at least 1 megabyte (MB) of free disk space and one of the following:

  • Windows 98 running on a personal computer with at least a 486/25 processor and 16 MB of memory.
  • Windows 95 running on a personal computer with at least a 486/25 processor and 8 MB of memory (16 MB recommended).
  • Windows NT Workstation 4.0 or later or Windows NT Server 4.0 or later running on a personal computer with at least a 486/25 processor and 16 MB of memory. It is recommended that the latest Windows NT service pack be installed. Windows NT Service Pack 3 (or later) provides support for multiple modems or dial-up scripting. Windows NT Service Pack 4 provides additional support for virtual private network (VPN) connections.

Note

  • Disk-space requirements for each system vary, based on the elements included in the service profile. For information on determining the size of the complete deliverable, see Planning for effective implementation.

For dial-up connections, Connection Manager also requires a 9600 baud or faster modem. Connection Manager can automatically configure the modem. If you include Connection Manager 1.2 in the service profile, the user's modem is configured as needed to support Connection Manager.

Connection Manager requires Transmission Control Protocol/Internet Protocol (TCP/IP) (for peer connections in a network), Telephone Application Programming Interface (TAPI) (for dialing support), and, Point-to-Point Tunneling Protocol (PPTP) (to establish a VPN connection), but when Connection Manager installs, it automatically installs the appropriate level of software on computers with operating systems that do not have the appropriate level. The exception is on Windows NT 4.0, where the user must manually set up PPTP (in Remote Access Services). For information that you can provide to your users on how to set up PPTP on Windows NT 4.0, see Providing user documentation.

Connection Manager requires Dial-Up Networking to connect to a remote computer or network. Users need to ensure that they have the latest version. If your service profile supports virtual private network (VPN) connections, any users who are running Windows 95 on their computers must have the latest Dial-Up Networking software installed on their computers to establish a VPN connection. For more information on this requirement, see Implementing VPN support. For information that you can provide to your users to update their Dial-Up Networking software, see Providing user documentation.

Note

  • You can find information about Connection Manager hardware and software requirements, including configuration requirements, in the Readme.txt file. If you specify in the CMAK wizard that Connection Manager 1.2 software is to be included in your service profile, the Readme.txt file is automatically included in the service profile. For information on how to edit this file to meet the needs of your users, see Providing user documentation.


Connection Manager features

Connection Manager 1.2 provides support for local and remote connections to your service using a network of access points, such as those available through Internet service providers (ISPs) worldwide. If your service requires secure connections over the Internet, you can use Connection Manager to establish virtual private network (VPN) connections to your service. Following are some of the features supported by Connection Manager 1.2.

General connection support

Connection Manager 1.2 supports a variety of features that both simplify and enhance implementation of connection support for you and your users, most of which can be incorporated using the Connection Manager Administration Kit (CMAK) wizard:
Feature | Support
Branding | You can customize the graphics, icons, messages, Help, and phone book support in Connection Manager to provide an identity and support that are unique to your service or corporation. You can include custom logos, customer support, and phone book information to identify and represent your company.
Connect actions and auto-applications | You can incorporate custom functionality, including your own programs to enhance the connection experience for your users. These programs can be automatically run at various points during the connection process, such as when users log on or disconnect. Starting with this version, Connection Manager also supports pre-connect and pre-tunnel actions. And you can set up auto-applications to automatically disconnect after the program ends.
Multiple instances of Connection Manager 1.2 | You can provide service profiles that your users can run simultaneously with other Connection Manager service profiles. For example, your customers can run an Internet solution at the same time they run a corporate virtual private network (VPN) tunnel.
Multiple user support for each service profile | You can provide support for users who share computers. User profiles allow two or more people to use the same computer and the same service profile. Credentials are maintained, based on the logon ID of the user, so users do not have to re-enter them for each connection.
Simplified distribution | Using the CMAK wizard to automatically build your service profile (the customized software required for your users to run Connection Manager), you create a self-installing executable file that can be distributed on compact disc or downloaded by your users.
Custom phone books | You can specify the phone books to be provided to your users. You can download your phone book to users and provide automatic phone book updates when your users log on. And to simplify maintenance, you can combine existing phone books by merging existing service profiles.

VPN connection support

In addition to the support for basic dial-up connections, you can also use the CMAK wizard to incorporate support for secure connections. Connection Manager can create a VPN connection through a pre-existing dial-up session, local area network (LAN), or digital subscriber line (DSL).
Feature | Support
Protocols | You can specify whether or not to support VPN, which enables your users to connect to your service using Point-to-Point Tunneling Protocol (PPTP) as the tunneling protocol. These protocols enable improved security by tunneling through a public network (such as when dialing into an ISP) to a corporate server.
Direct connections | If you specify support for VPN, you can provide support for direct connections (sometimes referred to as always on or persistent connections). Support for direct connections includes support for cable, asymmetric digital subscriber lines (ADSLs), and other types of direct connections.


Connection Manager user interface

The Connection Manager user interface consists of a logon dialog box and a set of property dialog boxes with which users can customize their connection settings. What users see depends largely on how you customize your service profile.

Logon dialog box

The logon dialog box is often the only Connection Manager screen your users see when they access your service. In this dialog box, users specify their credentials (such as user name and password) so they can connect to your network servers. You can customize the service name, the graphic, support information, and many other elements of this dialog box.

Properties dialog box

The ServiceProfileServiceName Properties dialog box appears when a user clicks Properties in the logon dialog box.

Note

  • The title bar of this dialog box contains the service name of the service profile in front of the word Properties, but it is referred to as simply the Properties dialog box throughout this documentation.

Properties, General tab

On the General tab, users can specify the way their system connects to an Internet service provider to access your service:

  • If the service profile that you provide supports virtual private network (VPN) connections, users can choose to use a direct connection that has already been established through the Internet or use a dial-up connection, and they can specify phone numbers and other information needed to establish the dial-up connection.
  • If the service profile that you provide does not support VPN connections, users do not see the direct connections option, but they are still able to specify phone numbers and other information for their dial-up connections.

Using this tab, users specify the following information for dial-up connections:

  • The phone number to be dialed to establish a connection. Users can type a number or click the Phone Book button to select a phone number.

    When users click the Phone Book button, they can select a Point of Presence (POP) from the list in the Phone Book dialog box. Only those access numbers that are supported by the selected service type, country (or region), and state (or province) appear in the list.

    Additional numbers appear in the More access numbers box only if you configure the phone book to support this second set of numbers (such as the phone numbers you specify as surcharge numbers when you use Connection Point Services to create your phone book). If the phone book has not been set up with additional access numbers for the selected geographic location, the box will be empty. If you specify in the CMAK wizard that custom text is to be displayed next to the More access numbers box, the text appears only when numbers are available for the selected geographic location.

  • Dialing rules for the dialing location. If users click Dialing Rules on the General tab, they can specify information about the location from which they are currently dialing, such as calling card numbers and codes for accessing outside and long-distance lines, or information about other locations for future use.
  • The type of device to be used to connect to your service. Only installed and available device types appear in the Connect using list.

Properties, Internet Logon tab

On the Internet Logon tab, the user types a user name and password to connect to the Internet for a VPN connection. This tab appears only if, in the CMAK wizard, you:

  • Specify support for VPN connections, and
  • Do not select the Use the same user name and password for a VPN connection as for a dial-up connection check box.

Properties, Options tab

On the Options tab, users can change the connection defaults for establishing and keeping active connections. Users can change both the number of reconnect attempts that occur and the amount of idle time that elapses before Connection Manager ends the connection.

Additional screens

Depending on how you customize the service profile, other screens appear during the connection process. For example, you can specify whether a license agreement appears when users install Connection Manager. You can also incorporate Help screens and other messages into the service profile.


The Connection Manager Administration Kit and the customization process

Connection Manager is brandable, which means that you can customize the installation package that you deliver to your customers so that Connection Manager reflects the identity of your organization. You determine which functions and features you want to include, and how Connection Manager will appear to your customers. You do this by using the Connection Manager Administration Kit (CMAK) wizard to build custom service profiles.

A service profile consists of all of the files needed by Connection Manager to run the installation file and then enable users to establish connections with your service. You can maximize or minimize the identification of your service or organization, depending on what you decide to include in a service profile. For example, you can include custom corporate logos or other graphics, custom icons, and your own online Help. You can also add auto-applications, specify actions to run before, during, and after a connection, and customize other features available in Connection Manager 1.2.

To customize the features and support provided in Connection Manager for your service, you can customize your service profile in two ways:

  • Run the CMAK wizard (required to build a service profile).

    You can use the CMAK wizard to customize most features of Connection Manager at the same time that you build a service profile. For example, you can use the wizard to specify the name and graphics that your users see when running Connection Manager, whether VPN connections to your service are available to your users, and whether your custom connect actions should run when a connection is established. How much you customize depends on your needs and those of your users. When you finish running the wizard, it automatically builds your customized service profile for you.

  • Use advanced customization techniques (optional).

    In some instances, there may be features or functions that you want to customize that are not available through the wizard. After you run the CMAK wizard to build your service profile, you can use advanced customization techniques to manually customize more features. For example, you can specify support for direct connections, disable the Save password feature, and customize other elements that cannot be customized by the CMAK wizard.

Each service profile that you create includes the ready-to-use custom features that you specify in a complete, self-installing package so users can seamlessly connect to your service.

Although using the CMAK wizard to build your custom service profiles is simple, creating the custom elements requires careful planning and development. This guide covers the six phases of planning, development, and implementation:

Phase | Tasks | Persons responsible
1 | Decide and document which features to customize for Connection Manager. The information you need to complete these tasks is covered in Phase one: Planning, which provides a planning worksheet that helps you determine and document your customization plan. | Network administrator or technical lead
2 | Design and develop a phone book and any other custom elements you want, such as graphics, text, and related programs, as needed. The information you need to complete these tasks is covered in Phase two: Developing custom elements. | Technical support team
3 | Use the CMAK wizard to build each custom service profile, and then use advanced customization techniques, as appropriate, to complete the customization of each, as covered in Phase three: Running the CMAK wizard and creating a service profile. | Technical lead or other member of technical support team
4 | Verify distribution readiness, including addressing any integration requirements, as covered in Phase four: Preparing for delivery. | Technical lead or other member of technical support team
5 | Test your Connection Manager deliverables, including all custom elements, on all target platforms and operating systems, using the process and criteria covered in Phase five: Testing your deliverables. | Testers or other members of technical support team
6 | Provide effective troubleshooting and other support to your customers. Phase six: Supporting your customers. | Customer support team


Connection Point Services

Microsoft Connection Point Services (CPS) enables you to automatically distribute and update custom phone books. These phone books contain one or more Point of Presence (POP) entries, with each POP supplying a telephone number that provides dial-up access to an Internet access point. The phone books give users complete POP information, so when they travel they can connect to different Internet access points rather than being restricted to a single POP.

Without the ability to update phone books (a task CPS handles automatically), users would have to contact technical support to be informed of changes in POP information and to reconfigure their client dialer software.

Connection Point Services has two components:

  • Phone Book Administrator, a tool used to create and maintain the phone book database and to publish new phone book information to the Phone Book Service.
  • Phone Book Service, a Microsoft Internet Information Services (IIS) extension that runs on Windows NT Server 4.0 or later (with IIS). Phone Book Service automatically checks subscribers' or corporate employees' current phone books and, if necessary, downloads a phone book update.

Connection Point Services 1.0 is available in the Windows NT 4.0 Option Pack.

For information on setting up a phone book, see Providing phone book support. For more information on Connection Point Services, see the Connection Point Services documentation.


Internet Explorer Administration Kit

Connection Manager is designed to be customized and distributed as a self-contained installation package. However, if you are using the Internet Explorer Administration Kit 5 (IEAK 5) to distribute Internet Explorer 5 installation package, you can simplify installation for your customers by including your Connection Manager service profile in the Internet Explorer 5 installation package. Using this integrated installation package, your users can install in a single procedure, and they can use the same user name, password, and access numbers for both.

You use IEAK 5 to handle most of the customization and integration of Connection Manager and Internet Explorer 5. For more information on the impact of this integration, see Planning for integration and delivery. For more information on setting up Connection Manager and the IEAK 5 to work together, see Integrating Connection Manager with an Internet Explorer installation package.


Phase one: Planning

The information in this section supports the planning that you need to do before you run the CMAK wizard to create the customized service profiles that you need:

  • Deciding what to customize. This section provides an overview of the Connection Manager features and functions that can be customized and included in your service profile.
  • Planning for effective implementation. This information covers the factors that you should consider before starting the planning for an individual service profile, so you will understand how your decisions will impact the service profile deliverables.
  • Planning for integration and delivery. This section walks you through the impacts of integrating your service profile with another installation package or otherwise tailoring your delivery and installation method.
  • Planning worksheet for Connection Manager 1.2. This worksheet covers the detailed planning needed to create an individual service profile and the customized elements that you want to incorporate into your profile. It provides a good method of documenting all of your customization decisions. When you complete the worksheet and the relevant design and development efforts referenced in the worksheet, you have all of the information and custom elements you need to build your custom profile.


Deciding what to customize

You use the CMAK wizard to do most of the customization for a service profile. Before running the CMAK wizard, you need to decide what to customize and then provide the information and files needed to run the wizard and implement your decisions.

Although you can run the wizard and build your service profile without providing any custom information except for the name of your service and a file-naming convention to be used for your service profile files, you can customize many other things to meet the needs of your service. For example, you can:

  • Merge previously created service profiles into the one you are building, in order to incorporate phone books and other features from those service profiles.
  • Provide a customer-support phone number or other customer-support information in the Connection Manager logon dialog box.
  • Provide a realm name (prefix or suffix) that is appended to the user name (to specify network routing and authentication information needed by your Internet service provider, without requiring your users to understand and incorporate the information themselves).
  • Specify Dial-Up Networking entries to be associated with phone numbers in the phone book you provide to your users.
  • Support virtual private network (VPN) connections over the Internet.
  • Incorporate connect actions that run at specific points during the connection process.
  • Incorporate your own graphics in place of the default graphics provided in Connection Manager logon and phone book dialog boxes.
  • Provide a phone book and phone-book update capabilities to your users.
  • Incorporate your own custom icons in place of the default Connection Manager icons.
  • Customize the shortcut menu associated with the status-area icon when your users are connected.
  • Customize the default Help file provided with Connection Manager.
  • Include Connection Manager 1.2 software in your service profile.
  • Incorporate an end-user license agreement (EULA) in your service profile that users must accept in order to install your service profile.
  • Include additional support files in your service profile, such as user documentation files and custom programs and files needed to support connect actions that you have defined.

You should consider each of these decisions for each service profile you create. Depending on the target audience and other factors, your decisions will vary for each service profile. Before you implement your decisions, you should also consider the effects of your implementation and any potential integration issues. For information on implementation and integration, see Planning for effective implementation and Planning for integration and delivery. These sections provide the information needed to support effective and efficient planning and development efforts. You can use the Planning worksheet for Connection Manager 1.2 to record and track your customization plans and development efforts.


Planning for effective implementation

When you make decisions about customization, you should be aware of how your decisions affect Connection Manager implementation methods. When developing plans for a service profile, consider implementation impacts on:

  • The number of service profiles to be developed.
  • The delivery methods to be used.
  • The size of the service profile.
  • Maintenance and update requirements for the service profile, including all files included in the profile.

The following sections discuss how customizing your service profile can affect how it is implemented. For additional information on setting up multiple profiles and how each service profile is set up and maintained, see Setting up your service profiles.

How many service profiles do you need?

You can create additional service profiles to support specialized needs of specific groups or personnel. For example, if you support multiple geographic locations, you might want to create separate profiles for the specific locations, incorporating a unique local phone book in each. Or, you might want to create separate profiles for each operating system supported by your service.

If a user installs more than one service profile, each profile is installed in a separate folder. All profiles share the same copy of Connection Manager 1.2 software.

To provide support for another national language, you must run the CMAK wizard a computer with an operating systems that has been localized for the appropriate national language.

What distribution methods are appropriate?

You can distribute your service profile by compact disc or downloadable file (over a private network or the Internet). You should consider the size of your customized profile, including all files that you add to it, when you determine which distribution method to use. Remember that download time can significantly affect users, especially those running modems at relatively slow speeds.

If you are using the Internet Explorer Administration Kit 5 (IEAK 5) to distribute Internet Explorer 5 to your users, you can simplify installation for them by including a Connection Manager profile in an Internet Explorer installation package. Using this integrated installation package, your users can install and use Internet Explorer and Connection Manager in one procedure, using the same user name, password, and access numbers selected in the signup process. Files included in the Internet Explorer installation package should not be duplicated in the Connection Manager profile.

How can you streamline installation for your users?

You can simplify installation and updates for your users by incorporating into the profile programs and files that can be automatically installed and configured as part of the Connection Manager installation package. However, you should tailor these features to the individual needs of specific user groups to control the size of the service profile that you distribute and to promote the effective use of your service. For example, if you support a corporate account with marketing and accounting departments, you might provide separate profiles for each department, so that you could provide the marketing department with a phone book covering the entire sales area and provide the accounting department with a phone book containing only the numbers of the local access points.

What is the size of your service profile?

It is important that the size of your service profile be compatible with your distribution method. Consider the features you want and how you plan to distribute the profile: by compact disc or download.

For example, if you distribute by download, consider how the download time affects users. In some cases you might decide to use or offer users an alternate distribution method. The CMAK wizard does not support profiles that span multiple disks and does not prompt you if the profile does not fit on one disk.

A service profile that includes Connection Manager uses about 800 kilobytes (KB) of disk space. A profile without Connection Manager uses about 200 KB. The total size of your service profile depends on your customization options, such as way you provide phone books, whether you include connect actions or other optional programs, and which graphics you incorporate.

Note

  • If disk space allows, include Connection Manager in the service profile to ensure that your users always have the latest version.

What is required to maintain and use existing service profiles?

You can incorporate many types of files in a service profile. You can edit or merge other profiles, include program files to support connect actions and auto-applications, provide user documentation, and incorporate many other types of files to make Connection Manager appropriate for your users.

In order to maintain these service profiles so that you always use the appropriate version of an incorporated file, you should understand how the CMAK wizard incorporates and uses such files. For information about how files and folders for your profile are set up, see Setting up your service profiles.

When you edit a service profile that contains a merged service profile, the CMAK wizard attempts to use the latest version of the merged profile. If the CMAK wizard cannot find the merged profile in the appropriate \Program Files\CMAK\Profiles\ServiceProfileFileName folder, it defaults to the current version of the merged profile that was originally stored with the profile being edited.

Plan your profiles, especially those with incorporated files, so that the information and elements are easily maintained and updated as needed.


Planning for integration and delivery

Some of your planning decisions will depend on whether you are integrating Connection Manager and your custom service profile with an Internet Explorer installation package or other implementation package. You should determine your delivery method before creating a service profile, to determine any impacts of integration.

For example, if you decide to integrate your Connection Manager service profile with an installation package created with the Internet Explorer Administration Kit (IEAK), you might want to coordinate the graphics included in your profile with those you include in the installation package.

Also, if you decide to deliver your Connection Manager service profile with an Internet Explorer installation package, you can create both using the IEAK 5 wizard because the Connection Manager Administration Kit wizard is called directly from the IEAK 5 wizard.

After building your service profile, check the information in Phase four: Preparing for delivery to determine additional customization that may be needed to integrate your service profile with other packages.


Planning worksheet for Connection Manager 1.2

When you run the CMAK wizard, it asks you to make numerous choices and to provide specific information about your situation. The planning worksheet included in this topic helps you organize that information before running the wizard so you do not have to interrupt the wizard or rerun it. Filling out the worksheet is also an easy way to create a record of your customization process. This worksheet covers both the information needed to run the wizard and information for advanced customization. You should complete a worksheet for each service profile you need. If there are custom options that you want to standardize for all of your service profiles, you might want to edit the defaults in the template files before creating your service profiles. The template files are used by the CMAK wizard to build all service profiles. For more information on the template files, see Advanced customization: Editing service profile files.

To complete this worksheet, read each item and decide whether you want to apply it to the customized Connection Manager service profile that you are creating. For each item you want to include, select the check box in the first column (Needed). Then fill in the information for that item as needed. For items you do not want to include, leave the check box and other entries blank.

Some check boxes are already selected. These items are required for all service profiles. Fill in any information needed for these items.

You can either fill out the worksheet online and then print it (using the print option at the top of the window in which it appears), or print it and fill it out later. If you fill it out online, be sure to print it before leaving the screen because the information cannot be saved. If you use any of the links in this worksheet, the target file opens in a new window to prevent the information you have entered in the form from being lost.

Update the worksheet as you complete the various development efforts for customized elements, using it as a checklist to ensure completion of all required information.

For each checked feature, select the check box in the second column (Ready) only after all implementation requirements for the feature are completed, including the requirements covered in Phase two: Developing custom elements.

Important

  • This worksheet should be printed. Any information you enter online will not be saved when you leave this screen.
Part 1: Information needed to run the CMAK wizard
Needed Ready Implementation information
(Required)
Service profile source.

Click one:

Create a new service profile.

Edit an existing service profile. Name of existing service profile:

(Required)
Service name. Use up to approximately 40 characters, including spaces.

Service name:

(Required)
File name for service profile files. Use up to 8 alphanumeric characters, but do not use any of the following: ! , ; <space> * = \ / : ? ' " < >

File name:

Other service profiles to be merged into this one.

Existing service profile:

Existing service profile:

Existing service profile:

Existing service profile:

If you are attaching additional sheets specifying more existing service profiles to be merged, select this check box.
Support information. Use up to approximately 50 characters. For example, Call 1-800-xxx-xxxx for customer service.

Text of support information:

(Required)
Realm name. If you specify a realm prefix or suffix to be automatically appended to the user name at logon, include separator characters such as @ or / in the realm name.

Click one:

Do not add a realm name.

Automatically add a realm name. Click one and specify the complete realm name:

    Prefix: (such as Awesome/)

    Suffix: (such as @Awesome)
Dial-Up Networking entries. Make sure that you specify the Dial-Up Networking entry exactly as it is specified in the phone book. (Or, to specify a default entry, specify the service name for your service profile as a phone-book Dial-Up Networking entry.)

Specify the name (required to provide Dial-Up Networking support):

Phone-book Dial-Up Networking entry:

Click one:

Allow the server to assign addresses.

Use specific addresses for Dial-Up Networking. Specify all that apply:

    Primary DNS: ...

    Secondary DNS: ...

    Primary WINS: ...

    Secondary WINS: ...

Specify the script name, if appropriate:

Dial-Up Networking script file: .scp

If you are attaching additional sheets that specify more entries, select this check box.
VPN support.

Select all check boxes that apply:

Use VPN connections for this service profile.

Use VPN connections for merged service profiles.

Specify the address (required to provide VPN support):

Server address:

Click one:

Allow the server to assign an address.

Use these specific addresses for VPN connections. Specify all that apply:

    Primary DNS: ...

    Secondary DNS: ...

    Primary WINS: ...

    Secondary WINS: ...

Check, if appropriate:

Use the same user name and password for a VPN connection as for a dial-up connection.
Connect actions. Programs that run at specific points during the connection process.

Select all check boxes that apply: pre-connect, pre-tunnel, post-connect, and disconnect actions. Then fill in the information for each type of action you select.

Pre-connect actions that run before the user connects. Specify the information for each pre-connect action:

    1. Description of first pre-connect action:

      Program to run:

      Parameters:

      Run this pre-connect action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    2. Description of second pre-connect action:

      Program to run:

      Parameters:

      Run this pre-connect action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    3. If you are attaching additional sheets that specify more pre-connect actions to be added to, edited for, or deleted from this service profile, select this check box.

Pre-tunnel actions that run before a VPN connection is established. Specify the information for each pre-tunnel action:

    1. Description of first pre-tunnel action:

      Program to run:

      Parameters:

      Run this pre-tunnel action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    2. Description of second pre-tunnel action:

      Program to run:

      Parameters:

      Run this pre-tunnel action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    3. If you are attaching additional sheets that specify more pre-tunnel actions to be added to, edited for, or deleted from this service profile, select this check box.

Post-connect actions that run after the user connects. Select one or both of the standard connect actions, and then specify information for each custom connect action.

    Automatically download phone book updates. (If you specify this option, you must complete the update information covered later in this worksheet.)

    Use existing subscriber logon information (for Membership Authentication Services of the Microsoft Commercial Internet System).

    1. Description of first post-connect action:

      Program to run:

      Parameters:

      Run this post-connect action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    2. Description of second post-connect action:

      Program to run:

      Parameters:

      Run this post-connect action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    3. If you are attaching additional sheets that specify more post-connect actions to be added to, edited for, or deleted from this service profile, select this check box.

Disconnect actions that run after the user disconnects.

Specify information for each disconnect action.

    1. Description of first disconnect action:

      Program to run:

      Parameters:

      Run this disconnect action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    2. Description of second disconnect action:

      Program to run:

      Parameters:

      Run this disconnect action during this type of VPN connection. If you specified on this worksheet that this service profile is to support VPN connections, select one:

      Dial-up connection only

      Direct connection only

      Both dial-up and direct connections

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    3. If you are attaching additional sheets that specify more disconnect actions to be added to, edited for, or deleted from this service profile, select this check box.
Auto-applications. Remember that the closing of the final auto-application causes Connection Manager to disconnect. Provide information for each auto-application.
    1. Program name for first auto-application to run:

      Parameters:

      2. Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    2. Program name for second auto-application to run:

      Parameters:

      Select only if the program or file is not available on your users' computers:

      Include the file or program in this service profile.

    3. If you are attaching additional sheets that specify more auto-applications to be added to, edited for, or deleted from this service profile, select this check box.
(Required)
Graphic for logon dialog box. Click one:

Use the default logon bitmap provided with Connection Manager.

Use a custom bitmap file: .bmp
(Required)
Graphic for Phone Book dialog box. Click one:

Use default phone book bitmap file provided with Connection Manager.

Use custom bitmap file: .bmp
Phone book file to include in this service profile. Remember that this .pbk file must have a corresponding .pbr region file.

Phone book file name: .pbk

The text for the "More access numbers" message to appear for alternate access numbers in the phone book.Maximum is approximately 100 characters.

Message:

Phone book file name for downloading and updates. (Required if you selected Automatically download phone book updates under Post-Connect Actions on this worksheet and did not specify a phone book under Phone book file to include in this service profile.)

Phone book name: .pbk
Connection Point Services server URL for downloads and updates. Connection Point Services server URL for downloads and updates. Required if you selected Automatically download phone book updates on this worksheet.

http:///pbserver/pbserver/.dll
(Required)
Icons. Specify only 16-color icon (.ico) files. Click one:

Use the three default icon files provided with Connection Manager.

Use the custom icon file(s) specified:

    Large program icon file name: .ico

    Small title-bar icon file name: .ico

    Small status-area icon file name: .ico

    If a box is left blank in the CMAK wizard, the default icon is used for that specific icon.
Custom status-area icon menu. Specify all information that is appropriate for each command:

First command to be added to the shortcut menu:

    Program to run:

    Parameters:

    Select only if the program or file is not available on your users' computers:

    Include the file or program in this service profile.

Second command to be added to the shortcut menu:

    Program to run:

    Parameters:

Third command to be added to the shortcut menu

    Program to run:

    Parameters:

    Select only if the program or file is not available on your users' computers:

    Include the file or program in this service profile.

If you are attaching additional sheets that specify more commands to be added to, edited for, or deleted from the shortcut menu, select this check box.

(Required)
Custom Windows Help. Specify whether to use the default Help file or your own custom Help file.

Use the default Help file (Cmmgr32.hlp) provided with Connection Manager.

Use this compiled Help file: .hlp (Not Cmmgr32.hlp)
Microsoft Connection Manager 1.2. Select the check box (on the far left) if you want to include the software and the Connection Manager Readme.txt file with the service profile.
License agreement. Displayed when a user first installs your service profile.

License agreement file: .txt
Additional files. List all other files on the following line and on additional sheets, as needed. Include user documentation, support files for connect actions, and any files you want to incorporate that you have not already specified on this worksheet. Be sure to provide complete file names, including file extensions.

Names of other files to be included:

If you are attaching additional sheets that specify more files to be included, select this check box.
User-support documentation. Any files needed to support installation and use of Connection Manager and of your service profile. These files supplement the Help file specified in the CMAK wizard. Any additional documentation you want to provide to your users to support installation and use of Connection Manager and of your service profile should be specified in the CMAK wizard as "Additional Files," and should be listed under that section of this worksheet. Do not include Help or readme files incorporated as a result of other selections that you have made on this worksheet.

Instructions for developing documentation:

If you are attaching additional sheets that specify instructions for providing user documentation, select this check box.

This completes all information needed to run the CMAK wizard.

Continue with Part 2 to customize elements that cannot be specified using the CMAK wizard.

Part 2: Information for advanced customization: editing service profile files)
(Optional)
Needed Ready Implementation information
Template .inf file. Edit this file to customize the entries specified each time you run the CMAK wizard.

Template file name: .inf

    Section of template .inf file:

      Entry to be changed:

      Parameters for entry:

    Section of template .inf file:

      Entry to be changed:

      Parameters for entry:

    If you are attaching additional sheets that specify more template .inf entries to be edited, select this check box.

The .inf file for the service profile. After you edit this file, you must run the CMAK wizard again to incorporate the changes that you have made to the entries in this file.

Service profile file name: .inf

    Section of service profile .inf file:

      Entry to be changed:

      Parameters for entry:

    Section of service profile .inf file:

      Entry to be changed:

      Parameters for entry:

    If you are attaching additional sheets that specify more template .inf entries to be edited, select this check box.

Template .cms file. Edit this file to customize the entries specified each time you run the CMAK wizard.

Service profile file name: .cms

    Section of service profile .cms file:

      Entry to be changed:

      Parameters for entry:

    Section of template .cms file:

      Entry to be changed:

      Parameters for entry:

    If you are attaching additional sheets that specify more template .cms entries to be edited, select this check box.

The .cms file for the service profile. After you edit this file, you must run the CMAK wizard again to incorporate the changes that you have made to the entries in this file.

Service profile file name: .cms

    Section of service profile .cms file:

      Entry to be changed:

      Parameters for entry:

    Section of service profile .cms file:

      Entry to be changed:

      Parameters for entry:

    If you are attaching additional sheets that specify more service profile .cms entries to be edited, select this check box.

Part 3: Information required for integration and delivery
Needed Ready Implementation information
Internet Explorer integration. If you are incorporating the Connection Manager service profile with an installation package created with the Internet Explorer Administration Kit (IEAK), ensure that the Internet Explorer installation package is set up to support integration of Connection Manager.

Instructions:

If you are attaching additional sheets that specify instructions for using command-line parameters, select this check box.

Command-line parameters

Instructions:

If you are attaching additional sheets that specify instructions for using command-line parameters, select this check box.

Code signing

Instructions:

If you are attaching additional sheets that specify instructions for code signing, select this check box.


Phase two: Developing custom elements

Depending on what you customize, you might need additional resources to prepare your elements. For example, if you want to include a phone book in your service profile, you must get copies of the phone book and region files. Or, if you want to include custom icons and bitmaps, you might need additional programs or graphics specialists to prepare them.

This section provides guidelines for the technical team members who are responsible for creating the graphics, information, programs, and other special elements to customize Connection Manager for your needs:

  • Setting up your service profiles
  • Specifying service and file names
  • Merging phone books and other features from existing service profiles
  • Providing support information in the logon dialog box
  • Providing a realm name
  • Incorporating custom Dial-Up Networking entries
  • Implementing VPN support
  • Incorporating connect actions
  • Incorporating auto-applications
  • Incorporating custom graphics
  • Providing phone book support
  • Incorporating custom icons
  • Customizing the status-area-icon menu
  • Providing custom Windows Help
  • Adding Connection Manager 1.2 to the service profile
  • Incorporating a license agreement
  • Including additional files
  • Providing user documentation
  • Advanced customization: Editing service profile files

These guidelines can be reproduced and distributed to the individuals responsible for doing the design and development work.

Custom elements must be complete before you run the CMAK wizard. You can use the Planning worksheet for Connection Manager 1.2 to record and track development plans and implementation efforts.


Setting up your service profiles

Each time you run the Connection Manager Administration Kit (CMAK) wizard, you create a service profile. You can create as many profiles as needed to support each specific target audience. After creating an initial profile, you can use the CMAK wizard to edit it. You can save the edited profile under the same name to overwrite the existing profile, or you can specify a different service name and file name to save it to as separate profile (preserving the existing profile as it was before you started the edit).

Notes

  • To create a service profile for Intel systems, use the Intel version of the CMAK wizard on an Intel operating system. To create a service profile for Alpha systems, use the Alpha version on an Alpha system.
  • To create a service profile for another national language, use the version of the operating system and the CMAK wizard that are appropriate for the language.
  • When you edit a service profile created using a previous version of Connection Manager, the CMAK wizard automatically upgrades the profiles to Connection Manager 1.2. Any changes you have made manually to the .inf file (using advanced customization techniques) will not be retained in the upgraded file. However, the CMAK wizard creates a backup of the old .inf file before creating the updated file.
  • If you change the file name, be sure to change the service name also. If a user installs two service profiles with the same service name but different file names, the service profiles do not work correctly.

Each service profile should be specific to a target audience. For example, you might set up separate profiles if:

  • You want to make each service profiles specific to a single operating system.
  • You specify phone books to support each of your distinct geographic areas or corporate organizations.
  • Different users require different connection methods (dial-up versus direct).
  • You need to support VPN connections only for specific users.
  • The individual corporations or groups you support each want to use their own logos or other proprietary symbols or text.
  • The help desk or other support is not the same for everyone and you want to provide specific information to each user group.
  • You want to establish different administrative authorities for the groups you support.

Note

  • To simplify administration of multiple service profiles, you can merge existing profiles into a parent service profile. See Merging phone books and other features from existing service profiles.

You must run the CMAK wizard again for each service profile you want to create, including each service name or file name you want to present to your users. For more information on service and file names, see Specifying service and file names.

It is easier to create additional service profiles if you edit an existing profile and then change the service name and file name.

When you create a service profile, the CMAK wizard copies all files that are incorporated in the profile into a \Program Files\CMAK\Profiles\ServiceProfileFileName folder. When you edit existing profiles, the CMAK wizard always pulls the incorporated files from the ...ServiceProfileFileName folder. To make changes to the incorporated files, edit the incorporated file in the ...ServiceProfileFileName folder and then run the CMAK wizard again to update the service profile. Or, if you edit the file that is not in the ...ServiceProfileFileName folder, start the CMAK wizard, add the updated file (by browsing to find it), and then finish running the wizard.

Note Connection Manager supports user installation of multiple service profiles, running multiple instances of Connection Manager, and multiple user profiles for each service profile. If a user installs more than one service profile, each is installed in a separate folder. You can provide as many profiles to your users as necessary to support your service, but each must have a different service name and file name. For more information on specifying names for service profiles, see Specifying service and file names.


Specifying service and file names

You must specify a service name and a file name in the CMAK wizard to identify your service profile.

Service name

The service name identifies your service to the users. Connection Manager can display only the 31 to 45 characters (depending on the characters and capitalization used). This name appears at several points when the user runs your service:

  • In the title bar text for the logon dialog box for your service.
  • In dialog boxes that appear during installation of Connection Manager and the service profile.
  • As the desktop icon name for your service.
  • On the program button on the taskbar that appears when the program is running.
  • In the ToolTip that appears when the mouse points to the status-area icon, which is located at the far right of the task bar.
  • Within the service profile files, for entries such as the default Dial-Up Networking entry.

This name is often a company or other business name. For example, the fictitious company Awesome Computers, which we use in this guideline for many of our examples, might specify "Awesome Computers" as the service name. Or, if Awesome Computers wanted to set up separate service profiles for each department, the service name for one of them might be "Awesome Computers - Marketing."

File name

The file name is the name given to the files created by the CMAK wizard when building the service profile. The file name can be up to 8 alphanumeric characters, with the following limitations:

  • Do not use any of the following:
    ! , ; <space> * = / \ : ? ' " < >
  • Do not use extended character sets in a file name. A file name created with extended character sets (such as those containing ü, é, and other extended characters) might not be properly installed.

Notes

  • Make sure that the service and file names are different from all other service and file names that you provide to your customers. If two service profiles on the same computer have the same service or file name, the associated connection icons do not work correctly.
  • When editing an existing profile, if you do not want to write over the existing service profile, you must change the file name.

The file name is used for the following files created by the CMAK wizard, including:
  • The folder containing the files needed to install Connection Manager and the service profile, located at \Program Files\CMAK\Profiles\ServiceProfileFileName.
  • The self-extracting executable (.exe) file.
  • The .cms file, which contains the configuration data for Connection Manager features, such as the names of the phone book and connection methods.
  • The .cmp file, which stores user-specified information, such as the name of the .cms file to be used.
  • The .inf file, which is used for the setup and installation of Connection Manager on the user's computer.
  • The .sed file, which specifies the contents of the .cab file and how to compress the files when the service profile is built.

The file name for the service profile is also used for the folder created on the user's computer when the .exe file is run.

For more information on what files are created by the CMAK wizard, see Using the CMAK Wizard to build a service profile.


Merging phone books and other features from existing service profiles

If you have information in service profiles that you need in the service profile you are building, you can use the CMAK wizard to merge much of the information from existing profiles into the profile you are building. A profile that contains information from other service profiles is called the referencing profile. A service profile that has its information merged into another service profile is called a merged profile.

Why merge service profiles?

Merging service profiles is especially useful for incorporating information from multiple phone books, including service types, POP names, and access numbers, and to consolidate different Internet access points that are covered by more than one of your phone books. By merging existing service profiles into the service profile you are building, you can make several dissimilar networks appear to be a single, cohesive service.

For example, you can merge service profiles from different geographical locations to create a worldwide profile. Or you can create profiles that have specific administration requirements and network configurations, including authentication and TCP/IP characteristics and, after they are created, you can merge them together within a referencing service profile. Merging service profiles is especially useful where multiple entities, whether corporations or Internet service providers (ISPs), share in providing a service. The following examples show how you can use merged service profiles to simplify network access through diverse access points:

  • Example 1: Creating a service profile to support access to the Internet from remote service areas. If a local ISP contracts with a roaming consortium to provide dial-up services outside the ISP's primary service area, the local ISP could create a referencing service profile containing the local ISP's network information and merging the service profiles of the other members of the roaming consortium. Each merged service profile could contain the individual phone-book and network attributes, including a unique realm name, of an individual ISP. Merging all of the merged service profiles would support the need for users of the local ISP service to roam outside of the ISP's primary service area by enabling them to connect through the cooperating ISPs. All ISPs can maintain their own service profiles, simply redistributing profiles to other members of the consortium whenever they are updated. The consortium itself might also create a referencing service profile aggregating the services of all member ISPs.
  • Example 2: Implementing a corporate virtual private network (VPN). Corporations using VPN connections to establish a session by tunneling through the Internet to the corporation often use ISP-provided dial-up access to support corporate access from remote locations. By merging service profiles, the corporation could combine its own phone book of internal dial-up numbers with those of remote ISPs contracted to provide access points for the remote corporate users, enabling VPN connections to be established even for dial-up connections through the public network access point of the ISP. The corporation and each ISP could maintain its own service profiles, but the corporation could merge all of the ISP service profiles into the corporate profile. The distribution of the referencing service profile by the corporation to all corporate users would support access from multiple locations. This access would appear to users as if it were made using the corporation's own access points.

What information is merged?

The following table shows which features of a merged service profile are merged into the referencing service profile and how the CMAK wizard incorporates the merged information. Only the items from the merged service profile that are listed in the Merged features column are recognized and used by the referencing service profile.

Merged features | Implementation notes
File name | Files contained in the merged service profiles retain the names used by the merged service profiles.
Merged profiles | You can merge only one level of service profiles. For example, if you merge service profile A, which contains merged profiles B and C, these second-level merged profiles (B and C) are ignored.
Realm name | If a realm name is specified in the referencing service profile, it will be used in all instances, and all realm names specified in the merged service profiles are ignored. If no realm name is specified in the referencing service profile, the realm names specified in the merged service profiles are used for connections that are made using entries from the merged service profiles.
Dial-Up Networking entries | The script specified for each Dial-Up Networking entry must have a unique name than all other scripts contained in the referencing service profile and any merged profiles.
Phone books | If the same service types exist in more than one profile, the information is merged. If duplicate states (or provinces), or POPs exist among referencing and merged service profiles, Connection Manager removes the duplicates when it runs the referencing service profile. Connection Manager treats two phone book entries as duplicates if they display the same information in the user interface (except that Connection Manager is not case sensitive). If two phone book entries appear as duplicates but have separate Dial-Up Networking entries in the POP, Connection Manager still removes one of the phone book entries.
Download phone book | Each time the user establishes a connection, Connection Manager automatically checks for the phone books with each server that is running the Phone Book service. The Phone Book service checks the phone book version and, if necessary, downloads phone book updates to the user. Phone books specified in the referencing and merged phone books are downloaded, as appropriate to the respective service profiles.
URL for downloads | The URLs specified in the referencing and merged service profiles are used for downloads to phone books for the respective service profiles.

The referencing service profile does not merge information related to the following features of the merged profile. To affect these features, you must specify them in the referencing service profile:

  • Service name
  • Support information specified for the logon dialog box
  • VPN support

    Note

    • To support VPN connections for merged service profiles, in the CMAK wizard VPN Support dialog box, under Use a VPN connection for, select the Merged service profiles check box.

  • Connect actions
  • Auto-applications
  • Custom graphics for the logon dialog box and Phone Book dialog box
  • Message to display next to the More access numbers box when alternate access numbers are available for the selected geographic location.
  • Custom icons
  • Customization options for the status-area-icon menu
  • Custom Help files
  • Option to include Connection Manager 1.2 software in the service profile
  • License agreement
  • Additional files

Where are the files located?

When you create a service profile, the CMAK wizard copies all files referenced in the service profile, including the merged service profile files, into the \Program Files\CMAK\Profiles\ServiceProfileFileName folder for that service profile. When you edit existing profiles, the CMAK wizard always pulls the referenced files from the CMAK folder. To make changes to the referenced files, you can either edit the referenced file in the CMAK folder and then run the CMAK wizard again to update the service profile, or start the wizard, add the updated file (by browsing to find it), and then finish running the wizard.

When you use the CMAK wizard to merge features, the resulting service profile includes references to the existing (merged) service profiles. For example, for phone books in merged service profiles, the resulting service profile installs multiple files in the folder specified for the profile rather than combining the phone books into a single file. However, when users select a POP involving phone books merged from two other service profiles, the users see the information from all the phone books as a single phone book.

When you edit a service profile that contains a merged service profile, the CMAK wizard attempts to use the latest version of the merged service profile. If the CMAK wizard cannot find the merged service profile in the \Program Files\CMAK\Profiles\ServiceProfileFileName folder (for the referencing service profile), it uses the current version of the merged service profile that was originally stored with the service profile being edited.

Each time the user establishes a connection, Connection Manager automatically checks with each server running Phone Book Service for each phone book. The Phone Book Service software checks the phone book version and, if necessary, downloads the phone book updates.

What are the special considerations for building merged profiles?

When building merged service profiles:

  • If you merge a Connection Manager 1.0 into a Connection Manager 1.2 service profile, the CMAK wizard automatically updates the merged information to Connection Manager 1.2. Any changes you have made manually to the .inf file (using advanced customization techniques) will not be retained in the upgraded file. However, the CMAK wizard creates a backup of the old .inf file before creating the updated file.
  • You should provide separate service profiles for each network that has unique characteristics or requirements.
  • You must ensure that all scripts specified for Dial-Up Networking entries in the merged service profile are available when you build the referencing service profile.
  • Do not merge a service profile created on a DEC Alpha system with a service profile for an Intel system.


Providing support information in the logon dialog box

Using the CMAK wizard, you can specify a line of information to be displayed in the logon dialog box, directly above Connection status. This line of text can be a maximum of approximately 50 characters and usually gives users a number to call for support (for example, "Call 1-800-xxx-xxxx for customer service."). No default text exists for this option. If you do not specify a line of text, this area of the logon dialog box will be left blank.

It is a good idea to repeat this contact information in your readme files or other installation information in case a user is unable to display the logon dialog box.

If the contact information is dependent on the location from which the user is dialing, you may want to customize Help to list all customer support numbers (to support remote users roaming outside of their home service area). In the line of text in the logon dialog box, you can then include a reference to Help. (For example, "For customer support phone numbers, click Help.") If you do this, add a link to the initial Help screen that jumps to the topic ID containing your support numbers.)


Providing a realm name

Realm names are used for network routing and authentication. They provide the identification necessary to forward authentication requests to the server that holds the user's credentials.

Using the CMAK wizard, you can specify a realm name prefix (such as Awesome/) or suffix (such as @Awesome) to be added to the user name that a user enters when connecting to your service. The realm name includes any separator characters, such as @ or /. If you specify the realm, users do not have to provide it themselves because Connection Manager automatically places the realm name before or after the user's name so that the user does not have to understand network routing in order to log on.

If your service uses multiple networks or ISPs for access, you need to provide different realm information for each. In this case, create service profiles for each of the networks and then merge them together in a referencing profile.

Notes

  • If the referencing profile contains realm information, it will take precedence over the information in the merged profiles.
  • For more information on merging profiles to incorporate multiple realms, see Merging phone books and other features from existing service profiles.

Microsoft Internet Authentication Services (commercial edition, available in Microsoft Commercial Internet System) supports the use of realm names for remote authentication. You can use the realm name as authentication routing information for roaming users (users who travel and connect through different Internet access points). When the user connects through a network access server (NAS), the NAS sends the realm name, the user name, and the user password to the authentication server.

Note

  • If you use the Microsoft Membership System 1.0 component of Microsoft Commercial Internet System (MCIS), be aware that it does not accept all characters in key system parameters (including realm), but that it does require a separator for the realm. If you want to set up Connection Manager connect actions to include these services, see the Membership System documentation for the list of allowed characters. When a connection is established through Membership System, before sending the realm information, Connection Manager strips the separator character, whether it is the trailing character of the prefix (such as the /) or the leading character of the suffix (such as the @).


Incorporating custom Dial-Up Networking entries

Dial-Up Networking entries are specified in the Phone Book Administrator of Connection Point Services to provide a method to customize how specific Points of Presence (POPs) are accessed. You use the CMAK wizard to specify the custom properties for the Dial-Up Networking entries.

Customizing the way in which specific Dial-Up Networking entries are handled can provide more effective handling of unique network authentication or routing requirements for POPs in your phone book. For each Dial-Up Networking entry, you can specify the DNS or WINS addresses to be used for POPs associated with that entry and, if desired, a script to be associated with it.

Before you run the CMAK wizard, you must decide which Dial-Up Networking entries you want to customize, and the options to use for each. Use the planning worksheet to document your requirements.

For each Dial-Up Networking entry, specify:

  • The name of the Dial-Up Networking entry. This entry must exactly match the phone-book Dial-Up Networking entry in the phone book or, if you want to set up a default for your service profile, the name must be specified as your ServiceProfileServiceName. For example, for Awesome Computers (the service name of our fictitious company):
    • To set up custom properties for a specific Dial-Up Networking entry, you could specify Awesome Dun as the Phone-book Dial-Up Networking entry in the CMAK wizard. In this case, all POPs that have Awesome Dun specified as the phone-book Dial-Up Networking entry would use the Dial-Up Networking addresses and/or scripts specified in the CMAK wizard for the Awesome Dun entry.
    • To set up default properties for all other POPs in the phone book of the Awesome Computers service profile (any without a specific Dial-Up Networking entry), you could specify Awesome Computers as the Phone-book Dial-Up Networking entry. In this case, all phone book entries without explicit Dial-Up Networking entries would use the Dial-Up Networking addresses and scripts specified in the CMAK wizard for this default entry.
  • Whether to let the server assign the addresses or to use specific Domain Name System (DNS) and/or Windows Internet Name Service (WINS) addresses. If you want to assign specific addresses to the Dial-Up Networking entry, you can specify both primary and secondary DNS and WINS IP addresses.
  • If your service requires it, a Dial-Up Networking script (.scp) file to be associated with this entry.

To set up custom Dial-Up Networking

  • Add phone-book Dial-Up Networking entries to the appropriate POPs:
    1. Start Phone Book Administrator and click the phone book you want.
    2. Add or edit a POP to include the phone-book Dial-Up Networking entry on the Settings tab.

    For more information, see the Connection Point Services documentation.

  • Using the CMAK wizard, build a service profile and set up Dial-Up Networking:
    1. In the Dial-Up Networking Entries dialog box, click Add.
    2. In Phone book Dial-Up Networking entry, type the same phone-book Dial-Up Networking entry as the one you entered in the phone-book file. If you want to assign specific DNS or WINS addresses or specify Dial-Up Networking scripts for the entry, specify the appropriate information.

      3. Note

      • Remember, the phone-book Dial-Up Networking entry that you set up in your service profile must either exactly match the specific entries you set up in the phone book or, if defining the default, it must be the service name.

  • For additional customization options for Dial-Up Networking entries, see Advanced customization: Editing service profile files.

In the example that follows, the POP uses the phone-book Dial-Up Networking entry: Awesome Dun.

Using phone-book Dial-Up Networking entries

Connection Manager reads the Dial-Up Networking entry associated with the phone number and uses the custom Dial-Up Networking properties (such as a DNS server and script) that you specified in the CMAK wizard for that entry to establish a connection.

If Connection Manager does not detect a specific Dial-Up Networking entry for the phone number in the service profile, it then tries to find the default Dial-Up Networking entry (the Dial-Up Networking entry named ServiceProfileFileName).


Implementing VPN support

VPN connections provide remote access to private networks over the Internet (or other network). A VPN connection is established using a tunneling protocol to establish a tunnel through the Internet to the private network to provide a more secure connection than available through a standard connection. To establish a VPN connection, users can connect directly to the private network through the tunnel by either dialing into a local Internet service provider (ISP) or by using a pre-existing connection (direct connection).

This means that remote users can connect using worldwide Internet access points to access firewall-protected servers as easily as local users. For corporations, it means that employees have remote access over the Internet to their corporate private networks, usually through a local phone number.

You can use the CMAK wizard to set up VPN connections, including:

  • Adding VPN support to the service profile.
  • Using VPN connections for merged service profiles.

You can use the CMAK wizard to set up support for VPN connections using Point-to-Point Tunneling Protocol (PPTP) with Microsoft Point-to-Point Compression (MPPC) and Microsoft Point-to-Point Encryption (MPPE). To use these VPN connections, you must have a server on the private network configured to support PPTP.

PPTP supports VPN connections to private TCP/IP-based intranets and local area networks (LANs) using any of the following:

  • TCP/IP
  • Novell NetWare Internetwork Packet Exchange (IPX)
  • NetBIOS extended user interface (NetBEUI)

Important

  • Although PPTP supports multiple network protocols in addition to TCP/IP, a VPN connection requires the computer on which Connection Manager is to run to be configured to use the same network protocols that the private network uses at the end-point server. For example, if the private network uses the IPX protocol, then the computer on which users connect to your service must already be configured to use IPX.
  • VPN connections on computers running Windows 98 or Windows 95 require that users have the latest Dial-Up Networking software installed on their computers. They can obtain the current Dial-Up Networking software by downloading it as a Microsoft Windows update from the Microsoft Support Online Web site. You should document this requirement for your users. For more information on verifying and installing Dial-Up Networking software, see Providing user documentation.

Note

  • You can create a service profile with which users can establish direct VPN connections using a tunnel over pre-existing connections.

Setting up the profile to support VPN connections adds an Internet Logon tab to the Properties dialog box. On this tab, users type the user name and password for the Internet service provider. In the logon dialog box, users type a private network user name, password, and logon domain.

To implement VPN connections in your service profiles, you must specify the address of the server to be used and how to handle authentication. Before running the CMAK wizard:

  • You must have the required server address, specified either as a DNS name or as a TCP/IP address for the end-point server.
  • If you do not want to let the server assign addresses, you can specify the Domain Name System (DNS) and Windows Internet Name Service (WINS) addresses to be used:
    • A primary and secondary DNS IP address for the end-point server
    • A primary and secondary WINS IP address for name-resolution on the network of the end-point server
  • You must specify whether users enter the same user name and password for both logging on to the Internet using a dial-up connection and logging on to the private network server using a VPN connection. If you specify that the same credentials are to be used for both, the Internet logon tab does not appear and the user only has to enter credentials once to connect.

For more information on direct connections, see Advanced customization: Editing service profile files.


Incorporating connect actions

You can enhance the user's connection experience by providing additional programs that start seamlessly during the connection to your service. You can use the CMAK wizard to include connect actions in your service profiles to automatically start programs when users connect to your service. These connect actions can use programs that are already installed on your users' computers, or you can include the programs with your service profile.

What connect actions are supported and when do they run?

Using the CMAK wizard, you can specify connect actions to run at four points during the connection process. You can run:

  • Pre-connect actions
  • Pre-tunnel actions (for VPN connections only)
  • Post-connect actions
  • Disconnect actions

Note

  • Additional connect actions (pre-dial, on-cancel, and on-error) are available using advanced customization techniques, but cannot be specified using the CMAK wizard.

Pre-connect actions

As soon as users click Connect, Connection Manager runs the pre-connect actions you have specified in your service profile. These are run before Connection Manager establishes a connection to your service.

You cannot set up a pre-connect action that requires an interaction with your service. If interaction is required for part of the action, split the action into a pre-connect action and either a pre-tunnel or post-connect action, depending on the interaction requirements.

For example, recording information to a local log at the start of the logon process can be a pre-connect action, but if you want the log to post to your service, you might set up a separate posting program to be run as a post-connect, or disconnect action.

Pre-tunnel actions (for VPN connections only)

Connection Manager runs pre-tunnel actions after establishing a connection with the Internet server, but before establishing a tunnel to the virtual private network (VPN) server. This connect action is available only if you set up VPN in your service profile, and it will run only when users are using the VPN connection option.

For virtual connections, set up all connect actions that require interaction with the Internet server as pre-tunnel actions, because Connection Manager has limited access to the Internet server after a tunnel is established.

For example, this might be a program to verify user credentials for accessing a corporate server behind a firewall, check for phone-book updates, or it could be other programs that require communication with Internet servers that might not be accessible after a tunnel is established.

For direct connections, Connection Manager runs both pre-connect and pre-tunnel action before connecting.

Post-connect actions

Connection Manager runs post-connect actions after establishing a connection or, if using a VPN connection, after establishing the tunnel.

In the CMAK wizard Connect Actions dialog box, in addition to the custom post-connect actions that you specify, you can specify that Connection Manager run two standard post-connect actions, both of which run regardless of the connection type:

  • Automatically download phone-book updates. If you set up the service profile to support this option, Connection Manager sends a phone book request (query variables) to the server running Phone Book Service. The server compares the client phone-book version with the most recent files available at the server and then downloads any available phone-book updates. The next time the user starts Connection Manager, the updated access numbers are available. You must provide the name of the phone book and the name of the phone book service URL in order to set up this connect action. For more information on phone book updates, see the Connection Point Services documentation.
  • Use subscribers' existing logon information. If you set up the service profile to support this option, the user name and password are automatically used at Web pages that require them for the Membership Authentication Services component of the Microsoft Commercial Internet System (MCIS). Otherwise, users are prompted to type a user name and password at Web pages that require them.

Note

  • If you have Connection Manager 1.0 service profiles that include connect actions, you should know that post-connect actions in Connection Manager 1.2 are the same as connect actions in Connection Manager 1.0. In fact, in the Connection Manager 1.2, post-connect actions are specified in the [Connect Actions] section of the .cms file, as there is no section with the title of [Post-Connect actions]. This terminology has been maintained to support migration from the previous version.

Disconnect actions

Connection Manager runs disconnect actions immediately before disconnecting from your service. You can use a disconnect action for routine administration. For example, you might set up a connect action to collect status information from your service, such as total minutes online (if this information is tracked by your service). This information can then be displayed for the user.

What types of programs can be used as connect actions?

A connect action can be:

  • A dynamic-link library (DLL). Only DLLs run synchronously, meaning that Connection Manager starts the action and then waits for the function to return before continuing. The first argument, specified as the Parameters in the Add/Edit Connect Actions dialog box of the CMAK wizard, is the function name within the DLL to call. The syntax for each of these connect actions is:
    HRESULT WINAPI function
    [IN] HWND hWndParent
    [IN] HINSTANCE hinstDll
    [IN] LPCTSTR pszCommandLine
    [IN] DWORD dwReserved

    Supported DLL parameters are:
    Parameter | Result
    hWndParent | Handle to the Connection Manager logon dialog box or NULL; used as the parent window for any user interface displayed by the connect action.
    hinstDll | Handle to the instance of this DLL.
    pszCommandLine | String pointer to the command-line arguments.
    dwReserved | Reserved for future use.

    DLLs often have a comment (entered in the description field of the CMAK wizard) that appears while it is being run. This comment has the form Running Connect Action Description. The Connection Manager window is frozen and does not accept input while this action runs.

    The connect action requires a return value. If the return value is less than 0, the DLL call failed. In the case of a failure, an error message (including the return value) is displayed in the form "Connect Action Description failed return value." If a pre-connect, pre-tunnel, or post-connect action fails, the connection attempt is ended.

    The DLL is unloaded after the function call.

    Note

    • For .dll files that require extended times for the program to run, you should implement WM_PAINT in the .dll to ensure that graphics are not disrupted by user actions.

  • An executable file such as a .bat, .exe, or .cmd file. This type of connect action is run asynchronously, which means that Connection Manager launches the executable, including any command-line parameters, and continues without waiting for the process to exit. No comment appears in the Connection Manager status pane for one of these programs while it is being run.
  • A shell-executable file, such as a .txt or .doc file. These actions run asynchronously. These files need an appropriate program with which to open the file.

Note

  • To cause the connection to end after specified programs have ended, set these programs up as auto-applications, not as connect actions. For example, if you want to automatically run an e-mail program, and then automatically end the connection when the user quits the e-mail program, you must set up e-mail as an auto-application, not as a connect action.

How to specify a connect action

In the CMAK wizard, select which of the four types of connect actions you want to include in your service profile. For each selected type of connect action, you must specify all connect actions of that type to be run during the connection process. In the respective Pre-Connect Actions, Pre-Tunnel Actions, Post-Connect Actions, and Disconnect Actions dialog boxes, specify which connect actions you want to run. You must provide the appropriate information for each connect action; it should be entered using the CMAK wizard in the Add/Edit Connect Actions dialog box:

  • Description: Specify a short description of the program to run. If you do not specify a description, the CMAK wizard uses the program name (specified in the Program to run) as the description.
  • Program to run: Specify the name of the program or file, including the file extension (such as .dll, .exe, .bat, or .cmd).
  • Parameters: Specify any command-line parameters that you want to run with the program. The following are special command-line parameter macros are supported:
    Macro | Replaced with
    %ServiceName% | The service name that you specify.
    %UserPrefix% | The realm user-name prefix that you specify.
    %UserSuffix% | The realm user-name suffix that you specify.
    %UserName% | The user name, without any specified realm user-name prefix or suffix.
    %Profile% | The location and file name of the active connection profile (.cmp) file.
    %DialRasPhoneBook% | The dial-up RAS phone-book name that you specify.
    %TunnelRasPhoneBook% | The VPN RAS phone-book name that you specify.
    %DialRasEntry% | The Dial-Up Networking service name or RAS entry name for the dial-up connection.
    %TunnelRasEntry% | The Dial-Up Networking service name or RAS entry name for the tunnel connection.
    %AutoRedial% | A boolean flag that is 1 if this dial attempt is an automatic redial,or 0 if not an automatic redial.
    %PopName% | The description for the phone number in the CM phone book.
    %RASErrorCode% | The WIN32 error code for error connect actions.
  • Include this program in this service profile: Specify whether to include the program in the service profile or require users to provide it. If the program you want to run is not part of a standard Windows operating system or is not otherwise available to your users, you can include the program in your service profile. The connect-action program is installed in the service profile folder.
  • Run this program for: For service profiles that specify VPN support, specify which types of connections each connect action supports:
    • Dial-up connection only
    • Direct connection only
    • Both dial-up and direct connections

Specify only programs that are complete program files. You can include one program file per connect action. If any non-executable files are required to support a connect action, you should include them as additional files, not as connect actions. These additional files should be files that are installed with the service profile but do not have to be run. For more information on how to include these support files in the service profile, see Including additional files.

Note

  • Connect actions are run in the order shown in the CMAK wizard.


Incorporating auto-applications

Connection Manager runs auto-applications after establishing a connection and, for a VPN connection, after establishing the tunnel.

Each auto-application that you specify in the CMAK wizard runs every time the user connects to your service, whether the connection is a dial-up connection or a direct connection.

Auto-applications are similar to post-connect actions, except that:

  • All auto-applications are run asynchronously. A DLL runs synchronously, so it cannot be run as an auto-application.
  • Connection Manager automatically monitors the status of all auto-applications and, after the final auto-application ends, closes the connection.

Note

  • When the final auto-application closes, Connection Manager provides a prompt to allow the user to override the disconnect sequence. The user can click Stay Online to prevent disconnection, click Disconnect Now to disconnect immediately, or do nothing to let the connection close automatically after 30 seconds have elapsed.

For more information on post-connect actions and other connect actions, see Incorporating connect actions.

As with post-connect actions, you must provide the appropriate information for each auto-application specified in the service profile, including the program to run, whether to include the program in the service profile, and any command-line parameters that you want to run with the program. Unlike post-connect actions, you do not specify a descriptive name for an auto-application.

Important

  • Specify only programs that are complete program files. You can include one program file for each auto-application. If you specify an auto-application that requires other files or is a self-extracting executable (.exe) file, these files may cause the program or connection to be interrupted. If any non-executable files are required to support an auto-application, you should specify them as additional files in the CMAK wizard. These additional files should be files that are installed with the service profile but do not have to be run. For more information on how to include these support files in the service profile, see Including additional files.

The same special command-line parameter macros supported for connect actions are supported for auto-applications:
Macro | Replaced with
%UserPrefix% | The realm user-name prefix that you specify.
%UserSuffix% | The realm user-name suffix that you specify.
%UserName% | The user name, without any specified realm user-name prefix or suffix.
%Profile% | The location and file name of the active connection profile (.cmp) file.

You can specify standard and custom programs as auto-applications. For example, you might want to include a commercially-available e-mail program, a proprietary stock-ticker program, and an internal accounting program. Using the CMAK wizard can specify all three programs. You can also select whether the program for each auto-application is to be included in your service profile.

Notes

  • If the program is one that users already have installed on their computers, do not include it in the service profile. Doing so will increase the size of your service profile and may cause problems on the users' computers.
  • Internet Explorer 4.01 and later remains running even after users have closed the browser. For this reason, you should not specify it as an auto-application.


Incorporating custom graphics

You must specify in the CMAK wizard whether to use the Connection Manager default bitmaps or your own graphics. You can customize the user interface to include your company logo or another image that identifies your organization. You can replace the graphics in both the logon dialog box and the Phone Book dialog box. The replacement graphic must be a bitmap (.bmp) file.

Logon graphic

You can create a custom bitmap or use an existing bitmap to replace the default Connection Manager logon bitmap that appears at the top of the logon dialog box. The default bitmap is 330-by-141 pixels.

Phone book graphic

You can customize the bitmap in the Phone Book dialog box that users see when they select a phone number for dial-up connections. This bitmap appears on the left side of the Phone Book dialog box. The default bitmap is 114-by-304 pixels.

Creating bitmaps

You should consider the following when creating bitmaps for either of the two replaceable graphics:

  • Each bitmap looks best if it has the same proportions as the default bitmap.

    • Connection Manager automatically scales each bitmap to appear at the appropriate size, but the image may be distorted if the proportions are not correct.

  • Connection Manager uses the same set of bitmaps, regardless of the display mode.
  • You should use the Microsoft Internet Explorer 256-color (halftone) palette when creating bitmaps.

Be sure to test each bitmap on all target operating systems and platforms.

You can also customize the three icons your users see. For more information, see Incorporating custom icons.


Providing phone book support

Connection Point Services provides support for creating, maintaining, and updating phone books. You can also create your own phone book (without Connection Point Services), but the complexity of the format and requirements makes this difficult if you have more than a single Point of Presence (POP).

Specifying how the phone book is to be provided

You can either:

  • Include a phone book in your service profile, but without support for automatic upgrades. To do this, in the CMAK wizard:
    1. In the Post-Connect Actions dialog box, make sure that the Automatically download phone-book updates is not selected.
    2. In the Phone Book dialog box, browse to the phone-book (.pbk) file that you want to include in your service profile. Make sure that you have a region file with the same name located in the same directory as the .pbk file. For example, if your phone book file name is AwesomeE.pbk, the region file should be AwesomeE.pbr.
  • Include a phone book in your service profile, with support for automatic upgrades. To do this, in the CMAK wizard:
    1. In the Post-Connect Actions dialog box, select Automatically download phone-book updates.
    2. In the Phone Book dialog box, browse to the phone-book (.pbk) file that you want to include in your service profile. Make sure that you have a region file with the same name located in the same directory as the .pbk file. For example, if your phone-book file name is AwesomeE.pbk, the region file should be AwesomeE.pbr.
    3. In the Phone Book Updates dialog box, type the URL for the Connection Point Services server from which upgrades are to be downloaded.
  • Do not include a phone book in your service profile, but download the phone book (and upgrades) to your users later. To do this, in the CMAK wizard:
    1. In the Post-Connect Actions dialog box, select Automatically download phone-book updates.
    2. In the Phone Book dialog box, leave the Phone-book file box blank.
    3. In the Phone-Book Updates dialog box, type the name of the phone-book (.pbk) file to be downloaded (but do not include the file extension) and the URL for the Connection Point Services server from which it (and the upgrades) can be downloaded.
    If you use this method of providing the phone book, you will also be able to automatically download updates to your users, using the same phone-book name and URL.

The phone book name that you provide must match the name of the phone book file created with Connection Point Services. If you specify support for automatic updates, each time the user connects to your service, the Phone Book Service automatically downloads any updates to the phone book.

In the example that follows, the service profile is set up to download the phone book named AwesomeE. The phone book name must match the phone book file name that appears in Phone Book Administrator.

Using more access numbers

Using Phone Book Administrator in Connection Point Services, you can set up phone books to list certain POPs under Access numbers and other POPs under More access numbers. If you want to separate phone numbers into two sets, you must configure the phone book for this purpose before you use it in a service profile. You can separate the numbers in different ways, such as by separating standard access numbers from 800 and 888 numbers or by separating no-surcharge access numbers from access numbers that incur a surcharge when a user uses one of them to connect. For more information, see the Connection Point Services Administration Guide.

If your phone book specifies a second set of access numbers, those numbers appear in the More access numbers box in the Phone Book dialog box.

To customize information about these numbers:

  • Provide a line of text to appear in the dialog box, next to the More access numbers box. This line of text should be no more than about 100 characters. (The maximum size varies based on line breaks and other formatting considerations.) This line of text appears only when alternate access numbers are available for the selected geographic area.
  • Edit the definition Help for the list of alternate phone numbers. The default Help states that the user can be charged extra for using alternate phone numbers. If this is not true for your alternate phone numbers, edit these Help topics in the Cmtrb32.rtf file: IDH_PHONEBOOK_ACCESSNUMS and IDH_PHONEBOOK_MORE. For more information on customizing Help, see Providing custom Windows Help.

Advanced customization for the phone book

Through advanced customization, you can also:

  • Control which service types (such as modem or ISDN) appear in the Phone Book dialog box.
  • Change the message displayed during phone book updates (such as "Downloading new Awesome Computers backup company phone book.").
  • Control the delay before downloading phone book updates.

For more information on advanced customization, see Advanced customization: Editing service profile files.

Creating a single-POP phone book

You can include a default phone book that contains a single phone number. This is useful if you want your customers to access your service through one POP. When you want to create a phone book for multiple POPs, you should use Connection Point Services.

To create a single-pop phone book, you must create both a phone-book (.pbk) file and an region (.pbr) file. In the CMAK wizard, you specify only the name of the .pbk file, but the wizard requires that a .pbr file with the same name be located in the same folder as the .pbk file.

Creating a .pbr file for a single-POP phone book

The region file you create for your single-POP phone book must be in plain-text (.txt) and must have two lines:

  • The first line contains a number specifying how many states and/or provinces are in the region file.
  • The second line contains the name of the state or province. Do not use commas or semi-colons in this line. The file name (excluding the file extension) cannot exceed eight characters.

For example, if the POP were located in Washington, the contents of the single-pop .pbr file would be:

1
Washington

To create a .pbr file for a single-POP phone book

  1. Start a text editor such as Notepad.
  2. Type a 1 and press Enter.
  3. Type the name of the state or region and press Enter.
  4. Save the file in plain-text (text-only) format, naming it in the following format:

    PBname.pbr

Creating a .pbk file for a single-POP phone book

The file you create for your single-POP phone book:

  • Must be located in the same folder as the .pbr file and have a file name (excluding the file extension) that does not exceed eight characters.
  • Must be in plain-text (.txt), comma-delimited format, and must include fields in the following sequence and without any spaces (if necessary, please scroll this page to read all 11 fields):

    Index,CountryOrRegionID,StateOrProvinceID,POPName,AreaCode,PhoneNumber,MinBaud,MaxBaud,Reserved,ServiceType,DUNEntry

    For example, a single-POP phone book for our fictitious company, Awesome Computers, might have the following field line:

    1,44,1,AwesomeE - Basecamp,999,555-1234,9600,9600,0,0,Awesome Dun

The following table provides information on each field.

Field | Description
Index | Type the number one (1) to specify a single-POP phone book file.
CountryOrRegionID | The Telephone Application Programming Interface (TAPI) country or region identifier (ID). TAPI formats the access numbers for dialing. See the list of TAPI country and region IDs later in this section.
StateOrProvinceID | Type the number one (1) for your single region.
POPName | Name of the Point of Presence (POP). Do not include commas. The name cannot be longer than 31 characters.
AreaCode | The area or city code for the number. For countries and regions that have no area or city codes, leave this field blank.
PhoneNumber | The access phone number. Include digits, spaces, or hyphens in this field. Use standard formatting for your locale. For example, in the United States, use 777-7777. Do not type the area or city code in this field.
MinBaud | The minimum baud rate that this access number supports.
MaxBaud | The maximum baud rate that this access number supports.
Reserved | Enter the number zero (0).
ServiceType | Enter the number zero (0).
DUNEntry Type any associated Dial-Up Networking entry here. For example, you might enter Awesome Dun as a Dial-Up Networking entry for our fictitious company, Awesome Computers. If you do not wish to associate an with this POP, type the comma preceding the field and leave the field blank.

Important

  • This entry must exactly match the Dial-Up Networking entry specified in the CMAK wizard in the Dial-Up Networking Entries dialog box. See Incorporating custom Dial-Up Networking entries.

To create a single-POP phone book

  1. Start a text editor such as Notepad.
  2. Type the phone book line, including all 11 phone book fields. Use the following table to determine the number to be specified for the CountryOrRegionID
  3. Save the file in plain-text (text-only) format, naming it in the following format:

    phone book name.pbk

Note

  • Remember that the .pbk and .pbr files must have the same name.

TAPI country and region IDs for phone book files

Note

  • This list is updated periodically. Users running an operating system with an different version of TAPI may have different codes. Ensure that you have the appropriate codes for your users. If you do not use the correct code (appropriate to the operating system your users are running on their computers), the POP will not be available in the Phone Book dialog box.
93 | Afghanistan | 355 | Albania | 213 | Algeria
684 | American Samoa | 376 | Andorra | 244 | Angola
101 | Anguilla | 102 | Antigua | 54 | Argentina
374 | Armenia | 297 | Aruba | 247 | Ascension Island
61 | Australia | 6721 | Australian Antarctic Territory | 43 | Austria
994 | Azerbaijan | 103 | Bahamas | 973 | Bahrain
880 | Bangladesh | 104 | Barbados | 120 | Barbuda
375 | Belarus | 32 | Belgium | 501 | Belize
229 | Benin | 105 | Bermuda | 975 | Bhutan
591 | Bolivia | 387 | Bosnia and Herzegovina | 267 | Botswana
55 | Brazil | 106 | British Virgin Islands | 673 | Brunei
359 | Bulgaria | 226 | Burkina Faso | 257 | Burundi
855 | Cambodia | 237 | Cameroon | 107 | Canada
238 | Cape Verde Islands | 108 | Cayman Islands | 236 | Central African Republic
235 | Chad | 56 | Chile | 86 | China
672 | Christmas Island | 6101 | Cocos-Keeling Islands | 57 | Colombia
2691 | Comoros | 242 | Congo | 243 | Congo
682 | Cook Islands | 506 | Costa Rica | 385 | Croatia
53 | Cuba | 357 | Cyprus | 420 | Czech Republic
45 | Denmark | 246 | Diego Garcia | 253 | Djibouti
109 | Dominica | 110 | Dominican Republic | 593 | Ecuador
20 | Egypt | 503 | El Salvador | 240 | Equatorial Guinea
291 | Eritrea | 372 | Estonia | 251 | Ethiopia
389 | F.Y.R.O.M. (Former Yugoslav Republic of Macedonia) | 500 | Falkland Islands | 298 | Faroe Islands
679 | Fiji Islands | 358 | Finland | 33 | France
5901 | French Antilles | 594 | French Guiana | 689 | French Polynesia
241 | Gabon | 220 | Gambia | 995 | Georgia
49 | Germany | 233 | Ghana | 350 | Gibraltar
30 | Greece | 299 | Greenland | 111 | Grenada
590 | Guadeloupe | 124 | Guam | 5399 | Guantanamo Bay
502 | Guatemala | 224 | Guinea | 245 | Guinea-Bissau
592 | Guyana | 509 | Haiti | 504 | Honduras
852 | Hong Kong SAR, PRC | 36 | Hungary | 354 | Iceland
91 | India | 62 | Indonesia | 870 | INMARSAT
871 | INMARSAT (Atlantic-East) | 874 | INMARSAT (Atlantic-West) | 873 | INMARSAT (Indian)
872 | INMARSAT (Pacific) | 800 | International Freephone Service | 98 | Iran
964 | Iraq | 353 | Ireland | 972 | Israel
39 | Italy | 225 | Ivory Coast | 112 | Jamaica
81 | Japan | 962 | Jordan | 705 | Kazakhstan
254 | Kenya | 686 | Kiribati Republic | 850 | Korea (North)
82 | Korea (Republic of) | 965 | Kuwait | 706 | Kyrgyz Republic
856 | Lao P.D.R. (Lao People's Democratic Republic) | 371 | Latvia | 961 | Lebanon
266 | Lesotho | 231 | Liberia | 218 | Libya
4175 | Liechtenstein | 370 | Lithuania | 352 | Luxembourg
853 | Macau | 261 | Madagascar | 265 | Malawi
60 | Malaysia | 960 | Maldives | 223 | Mali
356 | Malta | 692 | Marshall Islands | 596 | Martinique
222 | Mauritania | 230 | Mauritius | 269 | Mayotte Island
52 | Mexico | 691 | Micronesia | 373 | Moldova
377 | Monaco | 976 | Mongolia | 113 | Montserrat
212 | Morocco | 258 | Mozambique | 95 | Myanmar
264 | Namibia | 674 | Nauru | 977 | Nepal
31 | Netherlands | 599 | Netherlands Antilles | 114 | Nevis
687 | New Caledonia | 64 | New Zealand | 505 | Nicaragua
227 | Niger | 234 | Nigeria | 683 | Niue
6722 | Norfolk Island | 47 | Norway | 968 | Oman
92 | Pakistan | 680 | Palau | 507 | Panama
675 | Papua New Guinea | 595 | Paraguay | 51 | Peru
63 | Philippines | 48 | Poland | 351 | Portugal
121 | Puerto Rico | 974 | Qatar | 262 | Reunion Island
40 | Romania | 6701 | Rota Island | 7 | Russia
250 | Rwanda | 122 | Saint Lucia | 670 | Saipan Island
378 | San Marino | 239 | Sao Tome and Principe | 966 | Saudi Arabia
221 | Senegal Republic | 248 | Seychelle Islands | 232 | Sierra Leone
65 | Singapore | 421 | Slovak Republic | 386 | Slovenia
677 | Solomon Islands | 252 | Somalia | 27 | South Africa
34 | Spain | 94 | Sri Lanka | 290 | St. Helena
115 | St. Kitts | 508 | St. Pierre and Miquelon | 116 | St. Vincent and the Grenadines
249 | Sudan | 597 | Suriname | 268 | Swaziland
46 | Sweden | 41 | Switzerland | 963 | Syria
886 | Taiwan | 708 | Tajikistan | 255 | Tanzania
66 | Thailand | 6702 | Tinian Island | 228 | Togo
690 | Tokelau | 676 | Tonga | 117 | Trinidad and Tobago
216 | Tunisia | 90 | Turkey | 993 | Turkmenistan
118 | Turks and Caicos Islands | 688 | Tuvalu | 256 | Uganda
380 | Ukraine | 971 | United Arab Emirates | 44 | United Kingdom
1 | United States of America | 123 | United States Virgin Islands | 598 | Uruguay
998 | Uzbekistan | 678 | Vanuatu | 379 | Vatican City
58 | Venezuela | 84 | Vietnam | 681 | Wallis and Futuna Islands
685 | Western Samoa | 967 | Yemen | 381 | Yugoslavia
260 | Zambia | 263 | Zimbabwe


Incorporating custom icons

You use the CMAK wizard to specify the three icons your users see.

  • The large program icon is used as the desktop icon. It also appears in the ALT+TAB switch window and in several other pop-up dialog boxes. This icon is 32 × 32 pixels.
  • The small title-bar icon appears at the left edge of the title bar in the logon dialog box, in various pop-up dialog boxes and, when the program is running, on its program button on the taskbar. This icon is 16 × 16 pixels.
  • After a connection is established, the small status-area icon appears in the status area at the far right of the taskbar. This icon is 16 × 16 pixels.

Connection Manager contains default images for these three icons. If you prefer to use your own icons in place of the default icons, you can use an icon-editing program to create them. All of these must be 16-color icons. Consider creating icons that are similar to one another to unify the appearance of the service profile. To ensure that your icons appear correctly, create icons that match the size and overall shape of the default icons.

If you create a single icon that you want to be used in place of all three default icons, the icon is scaled to fit the assigned area when it is displayed, but the image might be dithered or distorted. To specify a single custom icon to be used for all service profile icons, you must specify the name of the custom .ico file in all three boxes in the CMAK wizard Icons dialog box. If a box is left blank, the appropriate default is used.

Note

  • You can also customize the menu that appears when a user right-clicks the status-area icon. For more information on customizing this shortcut menu, see Customizing the status-area-icon menu.


Customizing the status-area-icon menu

The status-area icon appears in the status area of the taskbar when the user is connected to your service. The status-area-icon menu appears when a user right-clicks this status-area icon. This menu provides users with a shortcut to specific programs. The default commands appearing on the menu are Status and Disconnect. You use the CMAK wizard to customize the shortcut menu by specifying which, if any, additional commands appear on the menu.

For each command that you want to add to the menu (other than the default commands), in the Status-Area-Icon Menu dialog box, click Add and then specify:

  • The name of the command as you want it to appear on the shortcut menu. If you do not specify a name for the command, the menu displays the file name and extension of the program to be run.
  • The file name (including the extension) of the program that runs when the user selects the associated command from the menu.
  • Any command-line parameters that you want to run with the program.
  • Whether to include the program file in the service profile. If the program is not part of the standard operating systems of the target platforms or is otherwise not available on your users' computers, you can include it in the service profile. At installation, the service profile copies the program to the ...Cm\ServiceProfileFileName folder.

You can add keyboard access to a shortcut menu command by designating one of the letters in the command name as the access key. To specify an access key, type & immediately before the letter you want to use. For example, to add "Notepad" as a command name with the letter N specified as the access key, type &Notepad. When the user opens the shortcut menu, the access-key letter (N, in this example) is underlined in the command name (Notepad). The user would press N to carry out the Notepad command.

If you want to include the ampersand (&) character in the command name, type &&. For example, to use the command name Update & Refresh, type Update && Refresh. One ampersand appears in the shortcut menu, not as an access key. (Update & Refresh).

Notes

  • You can control whether a status-area icon appears in the status area of the taskbar by editing the NoTrayIcon entry in the [Connection Manager] section of the .cms file.
  • The default commands are not shown in the CMAK wizard in Shortcut menu commands or included in the service profile files. They are part of the Connection Manager software and cannot be deleted.

For more information on using advanced customization techniques to edit this entry of the .cms file, see Advanced customization: Editing service profile files.


Providing custom Windows Help

Connection Manager Help consists of definition Help and troubleshooting Help:

  • Definition Help provides a brief description of each interface item. This type of Help topic appears in a small pop-up window. Users display topics by right-clicking an interface item and then clicking What's This? in the pop-up menu that appears. In all dialog boxes except the logon dialog box, users can also display definition Help by clicking the question-mark icon in the title bar and then clicking an interface item.
  • Troubleshooting Help provides a structured approach to diagnosing and resolving many common connection problems. Users start the Troubleshooting Help for Connection Manager by clicking Help in the logon dialog box. The question-and-answer format guides users through the process of determining the most likely causes of the problem. The troubleshooter then provides possible solutions, based on the user's feedback. Users display the troubleshooting Help by clicking the Help button in any dialog box.

Both the definition and troubleshooting Help files are compiled into a single .hlp file. This compiled file is incorporated into the service profile for distribution to users. The default Help is Cmmgr32.hlp. If you do not want to use the default Help, you can use the CMAK wizard to specify custom Help to replace the default in your service profile.

Note

  • The only Help information that you cannot customize is the definition Help for the Dialing Properties dialog box, which users see when they click the Dialing Rules button on the General tab of the Properties dialog box. This dialog box, along with its associated Help, is a component of the Telephony Application Programming Interface (TAPI) and, although it is incorporated as a part of Connection Manager, it cannot be modified.

How to customize the default Help files

If you want to include custom Windows Help, you must prepare your files before you run the CMAK wizard. Your CMAK folder contains all the source files for the default Help. To create custom Help, you need only to copy the default Help source files, including the project [.hpj] file, rename them, and edit the renamed files. Putting them in a separate folder helps prevent the original files from being accidentally altered. Following is information for creating custom Help, including a description of all of the source files and the tools required to modify these source files. (A basic understanding of Windows Help systems and user-education concepts is assumed.)

Notes

  • Be careful when modifying the Help files. Troubleshooting any changes you make to these files may be difficult. Avoid changing Windows Help file footnotes. Do not change any of the topic IDs (the number sign [#] footnotes).
  • When specifying your custom Help file in the CMAK wizard, browse to it. If you type the name, no validation is done on the file name (including the file extension).
  • Be sure to test the Help files on all target platforms before delivering your service profile to your users. Test Help by starting Connection Manager and using both the definition Help and troubleshooting Help. Testing Help by opening the .hlp file outside of Connection Manager does not allow verification of functionality.

Source files

The following files are included with the Connection Manager Administration Kit. By copying and editing these source files, compiling your customized project (.hpj) file, and then specifying the name of your compiled custom Help file in the CMAK wizard, you can provide custom Help to your users.

  • Cmmgr32.hlp (the default compiled Help file) is installed on your hard disk in the %Systemroot%\system32 or %Systemroot%\system folder (depending on which operating system you are running). (%Systemroot% is the folder containing the operating system files.)
  • The following online Help components are installed on your hard disk in the \Program Files\CMAK\Support\CMHelp\ folder.
    • Cmmgr32.hpj (the Help project file)
    • Cmctx32.rtf (the text document source for definition Help)
    • Cmtrb32.rtf (the text document source for troubleshooting Help)
    • Cmmgr32.h (the header file containing definition Help IDs)

You must have all of these files if you want to customize and rebuild the online Help system. Suggestions for customizing entries in each file are discussed later in this section.

Important

  • To customize the Help files for a service profile, copy the default Help files (except for the cmmgr32.hlp file), rename them, and then edit only the renamed files. Do not edit the original default files. When you rename the files, be sure to update the names referenced in the .hpj file, including the name of the .hlp file. If you customize Help but do not rename the .hlp file, the CMAK wizard could accidentally incorporate both the default and custom files when building the service profile.

Note

  • In addition to Help files, you can provide custom readme and procedural documentation to your users. For more information on the additional documentation that you can customize for your users, see Providing user documentation.

Required tools

To customize Help files, you need both of the following:

  • A word-processing program, such as Microsoft Word, that reads and writes .rtf files.
  • A 32-bit Help compiler, such as Help Workshop version 4.01, which is available as part of the Microsoft Windows 95 Help Authoring Kit, published by Microsoft Press.

    • Note

    • You can obtain the Help compiler (Hcw.exe) and associated files by downloading both the Microsoft Platform SDK build environment and the additional SDK components (tools) from the Microsoft SDKs on the Microsoft Developer Network (MSDN) Web site. However, only limited documentation on how to create and edit Help is available in the SDK, do it is recommended that you obtain the Microsoft Windows 95 Help Authoring Kit (ISBN 1-55615-892-0), which contains the Help tools and information you need to customize Help files.

What should be customized?

The most commonly customized Help information is that contained in the .rtf files, including the text for both definition and troubleshooting Help.

Customization suggestions for definition Help

The text for definition Help is in the Cmctx32.rtf file. In the following list of customization suggestions, each topic is referred to by its topic ID (the # footnote).

Help topic ID | Customization information
IDH_LOGON_SVCMSG | You can use this topic to provide definition Help for the support text in the logon dialog box. This topic is available to your users only if you specify support information when you run the CMAK wizard. The default text for this message is "No Help topic is associated with this item." You can modify this text to provide assistance for the support information specified for your users. For example, if you provide a phone number for customer support in the logon dialog box, you might want to provide a description of your customer support service in this topic.
IDH_PHONEBOOK_SERVICETYP | In the Phone Book dialog box, this topic provides Help for the Service Type list. You can customize this topic to reflect the service types that you support and provide a brief description of each.
IDH_PHONEBOOK_ACCESSNUMS and IDH_PHONEBOOK_MORE | In the Phone Book dialog box, these topics provide Help for the Access Numbers and More Access Numbers lists. You can edit the text to change it or add information about the available numbers, such as which numbers incur user fees and which do not. The default text specifies that additional charges are incurred for using these numbers.
IDH_PHONEBOOK_SVCMSG | In the Phone Book dialog box, this topic provides Help for the phone book customer service message area (next to the More access numbers box). This message appears only if alternate access numbers are available for the selected geographic area. You can use this topic to provide additional customer service information about the numbers that you make available in the More access numbers box.

Throughout the Cmctx32.rtf file, you might want to convert the term "your service" to the name of your service. For example, IDH_LOGON_NAME contains: "The name you use to log on to your service." Changing "your service" to "Awesome Computers" (the name of the fictitious company used in this guide) would change this information to: "The name you use to log on to Awesome Computers."

Customization suggestions for troubleshooting Help

Text for troubleshooting Help is in the Cmtrb32.rtf file. The following list of customization suggestions includes reference topics by title and by topic ID (the # footnote).

Troubleshooter topic ID | Customization information
ICM_TRB (Logon troubleshooter) | This topic is the starting point for users to identify possible problems. If you have specific problems that you want to address, you can add your own paths to the troubleshooter, starting at this point or any other point. You can add topics to cover as many situations as you want.
ICM_TRB_CUSTSUP_NUMS (Contact customer support) | This topic provides users with customer support information. Add your specific customer support phone numbers, hours of operation, and any other useful information. Users display this topic from other topics that recommend contacting customer support.
ICM_TRB_GIVEUP and ICM_TRB_GIVEUP_PHONE (Next steps) | One of these two topics appears at the end of all troubleshooting paths. You can provide additional instructions for users who try all troubleshooting possibilities and still are not able to connect to your service.

As with the definition Help, you might want to change the term "your service" to the name of your service, wherever it appears in this file.

Customizing and compiling the project file

If you customize the .rtf files, you must customize the project (.hpj) file (using Help Workshop 4.01 or another appropriate Help editor) to include the names of these custom .rtf files. You can also change other project information in the .hpj file. For example, if you do not want to use "Troubleshooting Help for Connection Manager" in the title bar of the Help screens, you can change the title in the .hpj file by changing "TITLE" under [Options] and "proc4" under [Windows].

After you have finished editing the .hpj and .rtf files, you must compile the .hpj file to create the .hlp file. When you run the CMAK wizard to create your service profile, specify the name of your custom .hlp file in the wizard.

Note

  • The .h (mapping) file contains the topic IDs for the definition Help. Editing this file may prevent Connection Manager from displaying the appropriate definition Help.


Adding Connection Manager 1.2 to the service profile

Users must install Connection Manager 1.2 to run a Connection Manager 1.2. service profile. If your users do not already have it installed, you should include the software in your service profile. In the CMAK wizard, you can specify that this software be included in the service profile being built, so the software is installed when the user installs the service profile.

If you include Connection Manager 1.2 in the service profile and a user already has a previous version of Connection Manager installed, the software is automatically upgraded at installation. Connection Manager cannot be installed if the current or a newer version is already installed on the user's computer. However, the service profile installs, even if the Connection Manager software included in the profile does not install.

Note

  • If you specify that this software be included, the associated Readme.txt file is also included. If you wish to customize this file, you should do it before building your service profile. For more information on how to customize this file, see Providing user documentation.
  • Be sure to include the size of the Connection Manager software when calculating the size of your installation package. For more information on the size of the Connection Manager software, see Planning for effective implementation.


Incorporating a license agreement

You can include your own license agreement with your service profile. This license agreement appears when the user clicks OK to begin the initial installation of your service profile. If the user accepts the license agreement, installation continues. If not, installation is cancelled.

Use a text-editor program such as Notepad to create your license agreement as a text (.txt) file. To avoid formatting problems, do not use hard returns (forced line breaks) at the end of lines. Line-wrapping for the license agreement is done automatically when the service profile is built.


Including additional files

You can include additional files with your service profile to help your users implement your service. All files that are needed for your service that are not specified elsewhere in the CMAK wizard should be specified in the Additional Files dialog box. This section contains information on files that you might want to include as Additional Files.

Connect action and auto-application files

If you create a connect action, you include the program for the connect action by specifying it in the Add/Edit Connect Actions dialog box. However, you can specify only one program there for each connect action. You must specify any other files required to implement the connect action as Additional Files. The same is true for auto-applications. For more information on the files that should be included with connect actions and auto-applications, see Incorporating connect actions and Incorporating auto-applications.

User documentation files

If you create user documentation for your service, you can include this information in your service profile by specifying the user documentation files as Additional Files.

Note

  • If you specify in the CMAK wizard that the Connection Manager 1.2 software is to be included with your service profile, Connection Manager automatically incorporates the Readme.txt file in the service profile. If you are not including the Connection Manager 1.2 software with your profile, but you do want to provide a readme file, you should incorporate it as an additional file. For more information on providing user documentation, including readme information, see Providing user documentation.

Other files

If, after running the CMAK wizard, you do any advanced customization by editing any of the service profile files, you may need to include additional files to support some of your advanced customization. You specify any files needed to implement advanced customization as Additional Files. For more information on this type of advanced customization, see Advanced customization: Editing service profile files.


Providing user documentation

In addition to the Windows Help that you provide with your documentation, you can incorporate other types of user documentation in your service profile. Connection Manager provides a default readme that you can customize. You can also develop and incorporate your own user documentation. Start by reviewing the information provided:

  • Readme files, containing system requirements and known issues, located in the \Program Files\CMAK\Support folder.
  • Sample procedures, included later in this topic:
    • "Setting up Connection Manager," including instructions for installing PPTP on Windows NT 4.0
    • "Establishing a connection"
    • "Removing Connection Manager"

To reduce your customer-support effort, make sure your setup and usage instructions clearly and completely guide users through both the setup of Connection Manager and connection to your service.

To include user documentation in your service profile, you can specify the files as additional files (in the Additional Files dialog box of the CMAK wizard). For more information, see Including additional files.

Note

  • Information included as additional documentation is not available to users until after the installation of your service profile. You may want to include some of the information (such as installation procedures) in a separate readme file to accompany your service profile, in a form that can be accessed by users before installation.

Readme files

A default readme file (Readme.txt) is included with the Connection Manager Administration Kit and is installed in the \Program Files\CMAK\Support folder. This file is automatically incorporated into every service profile created with the CMAK wizard that includes the Connection Manager 1.2 software in the service profile. You can customize the information in this file as appropriate for your service. Do not change the name of the file, but do make a backup copy before you edit it.

Note

  • The Readme.txt file is included in a service profile ONLY if the Connection Manager 1.2 software is included in the profile. If you want to provide a readme file and do not want to include the Connection Manager 1.2 software in the profile, create a separate readme file (with a different name from the default readme file) and include it in the service profile as an additional file.

User procedures

You should provide user documentation to help your users install, run, and remove (if necessary) Connection Manager. You can customize the following procedures and put them in a readme file or other user documentation.

Throughout these user procedures, you should substitute the name of your service profile for each occurrence of ServiceProfileFileName, regardless of the context in which it is used. (The name you substitute should not be in italics.)

When you run the CMAK wizard to build the service profile, specify the file names of all user documentation that you want incorporated in the service profile (to be available after the service profile is installed) as additional files.

Setting up Connection Manager

Instruct your users to perform the following procedure for setting up Connection Manager.

To set up Connection Manager

  1. Use the appropriate method to find the ServiceProfileFileName file:
    • If you received the the program for your service on a floppy disk or compact disc:
      1. Insert it in the appropriate drive.
      2. Use Windows Explorer to find the file.
    • If you downloaded Connection Manager from the Internet or a private network, browse to your download folder.
  2. Double-click ServiceProfileFileName.exe.
  3. After installation has finished, double-click the icon on your desktop to start the service. If prompted to install additional components, click OK.

Verifying and installing the latest Dial-Up Networking software for Windows 95

If your service profile supports virtual private network (VPN) connections, your users who are running Windows 95 on their computers must have the latest version of Dial-Up Networking installed on their computers, but it is recommended that users of all Windows operating systems have the latest version of this software. Provide the following instructions to your VPN users to ensure installation of the the correct level:

To verify and install Dial-Up Networking software for Windows 95

  • If you are running Windows 95 on your computer, you must obtain and install the current Dial-Up Networking software by downloading it as a Microsoft Windows update from the Microsoft Support Online Web site.

Installing PPTP on Windows NT 4.0

Users must manually install PPTP on computers running Windows NT 4.0. Provide the following instructions for users who need to install PPTP.

To install PPTP on a computer running Windows NT 4.0

  1. Make sure your Windows NT 4.0 distribution disks are available during installation to provide access to system files.
  2. Click Start, point to Settings, click Control Panel, and then double-click Network.
  3. On the Protocols tab, click Add.
  4. In Network Protocol, click Point To Point Tunneling Protocol, and click OK.

    If Setup needs to copy files, click Continue when prompted.

  5. When prompted, click OK to set the number of virtual private networks to one (1).
  6. In the Remote Access Setup dialog box, click Add, click VPN1 – RASPPTM, and then click OK.
  7. Click Configure, and make sure the Dial out only check box is selected.
  8. In the Remote Access Setup dialog box, click Network, make sure TCP/IP is selected, and then click Continue.

    You can now close the Network utility and restart your computer, and then reinstall Service Pack 3 (or later) for Windows NT 4.

Establishing a connection

Have users follow these steps to connect to your service:

To establish a connection

  1. On the desktop, double-click the ServiceProfileFileName icon.
  2. Type your user name and password.

    If you are using a VPN connection to connect to a private network, you might be prompted for a second user name and password. If so, type the user name and password that you use for the Internet service provider (ISP).

  3. If you are using Connection Manager to connect for the first time, click Properties, click Phone Book, and then select a phone number from the list of access numbers. (Or you can type the phone number that you want to use to access the service.)
  4. Click OK twice.
  5. Click Connect to establish a connection.

    When you connect, the service might update your phone book if new or changed phone book information is available.

Note

  • For help with establishing a connection or with troubleshooting, use Help:
    • For troubleshooting Help, click Help in the Connection Manager logon dialog box.
    • For more information about an item in the dialog boxes, click the question mark [?] button in the title bar, and then click the item.

      Or right-click the item, and then click What's This?.

Removing your service

Have users follow these steps if they want to remove your service. This requires removing both the service profile, which contains any custom files and the basic Connection Manager software.

To remove the your service

  1. Right-click the desktop icon for your service.
  2. Click Delete.
  3. When prompted to continue with the deletion, click OK.

Note

  • Removing the the software for your service does not remove the Connection Manager software required to run your service. You must remove the Connection Manager software separately.

To remove the Connection Manager software

Important

  • If the service that you removed in the above step was the only one on your computer, use the following steps to remove the Connection Manager program. Do not remove Connection Manager if you have any other service profiles on your computer that require this program.
  1. Click Add/Remove, and then click OK.
  2. Click Microsoft Connection Manager.
  3. Click Add/Remove, and then click OK.


Advanced customization: Editing service profile files

You can edit service profile files to customize functions and features not controlled through the CMAK wizard. To do this advanced customization, you can edit two sets of service profile files:

  • The template files, used by the CMAK wizard to build all service profiles.
  • The files built when you run the CMAK wizard to create a specific service profile.

Service profile files consist of the following file types:

  • .cms (service provider) files, which specify the configuration of the phone book and most of the other functions of your service profiles. Most advanced customization for a service profile is done by editing the .cms file for that service profile.
  • .cmp (connection profile) files, which contain the user-specified information. You should not edit the .cmp files because any changes you make can be overwritten by the user-specified information.
  • .inf (information) files, which specify the installation information for your service profiles. Although you can edit some setup and uninstall information in an .inf file, you must be extremely cautious to avoid installation problems.
  • .sed (connection profile) files, which contain the instructions for building a self-extracting executable (.exe) file for your service profiles. You should never edit any .sed file.

Important

  • Be careful when you modify these files. Troubleshooting the changes made to these files is difficult. Never modify the original file, and always make backup copies. A basic understanding of system-configuration files is assumed.

How to edit service profile files

You can edit either the template files or the files that are built by the CMAK wizard for a specific service profile, or both, depending on whether you want your customization options to be globally applied to all service profiles or only to a specific service profile.

Template files

When you install the Connection Manager Administration Kit, the following template files are installed in the \Program Files\CMAK\Support folder:

  • Template.cms
  • Template.cmp
  • Template.inf
  • Template.sed
These files contain the default settings that the CMAK wizard uses to build the service profiles. If you want to incorporate custom functions in all service profiles that you build, edit the template files before building the service profiles.

Generally, you should edit only the .cms template file.

Note

  • Changes made to the template files apply only to future service profiles built using the CMAK wizard.

Built files

When you use the CMAK wizard to build a service profile, the wizard creates a self-extracting executable (.exe) file and several other files containing the settings that you specify. The service profile files are saved in the \Program Files\CMAK\Profiles\ServiceProfileFileName folder. All service profile files have the name ServiceProfileFileName, which you specify in the CMAK wizard. In addition to the .exe file, the wizard creates the following files for each service profile:

  • ServiceProfileFileName.cms
  • ServiceProfileFileName.cmp
  • ServiceProfileFileName.inf
  • ServiceProfileFileName.sed

For all but the .cmp files, the built files take precedence over the template files. After editing a service profile file, you must run the CMAK wizard again to rebuild the service profile with your customized settings.

What formats and conventions are used?

Connection Manager service (.cms) and information (.inf) files are similar to Windows .ini and .inf files:

  • Each file is divided into sections. A section heading is enclosed within brackets ([ ]). For example, [Strings] is a section containing text strings for messages.
  • The order in which sections appear is not important; a particular section can be placed anywhere in the file.
  • Any comment in the file begins with a semicolon (;).
  • All values specified for an entry must be integers. Any non-integer value is truncated to an integer or ignored as invalid data. For example, 1.1 will be truncated to 1 or ignored.

For more information on these formats and conventions, see the Microsoft Platform Software Development Kit (SDK).

What functions can be customized?

You should customize the entries only in the .cms and .inf files, and only as specified in this section.

Entries in the .inf file

By editing an .inf file, you can specify commands to run when the user sets up and uninstalls your service profile. For example, you can specify commands that run:

  • Setup programs to integrate any custom software that you include.
  • Programs that automatically display a readme file.
  • Configuration utilities or cleanup programs (after a user runs the uninstall program).

To add custom setup and uninstall commands to your service profile, you must first create the service profile by running the CMAK wizard, incorporating any files needed to run your custom commands by specifying each of them as an additional file. After you have built the service profile, specify the custom commands in the appropriate sections of the .inf file.

The .inf file contains four sections that you can edit to incorporate setup and uninstall commands, each of which controls the commands that are run at a specific point in the process. Do not use long file names.

  • RunPreSetupCommands section in the .inf file.

    Commands specified in this section run before installation of your service profile.

  • RunPostSetupCommands section in the .inf file.

    Commands specified in this section run after Setup finishes the service profile.

  • RunPreUnInstCommands section in the .inf file.

    Commands specified in this section run before the uninstall program begins.

  • RunPostUnInstCommands section in the .inf file.

    Commands specified in this section run after the uninstall program runs.

Each command should include the name of the program to be run and any command-line parameters. Each command specified in the .inf file is run only once during an installation or uninstallation process.

Important

  • Incorrectly specified entries may cause significant installation problems. You should not edit any of the entries in the .inf file except those specified above. Be sure to thoroughly test all service profiles containing custom .inf entries for version, file, or other conflicts. Be sure that the file location is specified correctly.
  • When upgrading to a new version of the Connection Manager Administration Kit, the new .inf file replaces the previous .inf file. After upgrading, you must add your custom entries to the new .inf file if you want to continue incorporating your custom setup and uninstall commands in the service profiles you build.
  • Long file names are not supported.

Entries in a .cms file

By editing a Template.cms or ServiceProfileFileName.cms file, you can change the way that many of the Connection Manager functions are implemented. You can:

  • Control the delay between redials, by editing the RedialDelay entry.
  • Specify case sensitivity for passwords, by editing the PasswordHandling entry.
  • Control whether the Save password check box appears, by editing the HideRememberPassword entry.
  • Control whether the Connect automatically check box appears, by editing the HideDialAutomatically entry.
  • Control whether a New button appears on the Connection Manager logon dialog box to enable a user to reset the password, by editing the ResetPassword entry. You can use the New button to set up a custom password option. For example, you can link a program so that users can delete an existing password and type a new one.
  • Control whether the Logon domain field appears, by editing the HideDomain entry.
  • Specify additional settings to control the way in which Dial-Up Networking entries are handled in Connection Manager, by specifying settings in the [Server&EntryName] and [TCP/IP&EntryName] sections. Many of these settings are controlled through the CMAK wizard, but some must be edited in the .cms file, such as the IP_Header_Compress setting.

The following table shows the valid entries for each section of the .cms and .cmp files, the function and use of each entry, and where each entry can be set (in the CMAK (wizard), .cms file, and/or .cmp file).

Note

  • Do not edit any entry in the .cms file if it can be set in CMAK, because the CMAK wizard may overwrite entries in the .cms file.
  • If an entry is valid in both .cms and .cmp files, edit only the .cms entries.
  • Make sure that locations are specified either as the full path or in reference to the location of the .cmp file.

[Section] or Entry | Specifies | Set In
[Connection Manager] | Miscellaneous service profile settings.
Dialup | Whether dial-up connections are supported. 0 = No. 1 = Yes. Default = 1 | .cms
Direct | Whether direct connections are supported. 0 = No. 1 = Yes. Default = 1 | .cms
ConnectionType The connection method to be used. 0 = Connect using a dial-up connection (for example, a modem). 1 = Connect using a direct connection (for example a LAN). Default = 0. The first time the service profile is run, the user is prompted to select the appropriate option. The user can change this option on General tab in the Properties dialog box. The setting in the .cmp file represents the current state. .cms
.cmp
PBMessage Text in the Phone Book dialog box next to the More access numbers box when the phone book is displayed and alternate access numbers are available for the selected geographic region. Maximum = Approximately 100 characters CMAK
.cms
CMSFile Name of the service profile file (\Path\ServiceProfileFileName.cms). CMAK
.cms
ServiceName Text appearing in the Connection Manager logon dialog box as the service name and in the Network Connection folder as the name of the connection object. Maximum = Approximately 35 characters. If the Connection Manager service profile is to be included in a Microsoft Internet Explorer installation package created with the IEAK, this name must be the same as the name specified in the [Entry] section of the Internet Explorer .ins file. CMAK
.cms
ServiceMessage Connection Manager logon dialog box service message, usually a customer-support number for the service. Maximum = Approximately 50 characters CMAK
.cms
UserName | User name typed by the user. | .cmp
UserNamePrefix Prefix appended to the user name. Enables access to a service requiring a realm name as a prefix. CMAK
.cms
UserNameSuffix Suffix appended to the user name. Enables access to a service requiring a realm name as a suffix. CMAK
.cms
MaxUserName | Maximum length of the user name that can be typed by the user. UserNamePrefix and UserNameSuffix are not included. Default = 256 bytes | .cms
UserNameOptional | Whether the user must type a user name at the Connection Manager logon dialog box. 0 = User name required. 1 = User name not required. Default = 0 | .cms
HideUserName | Whether the User name box appears in the Connection Manager logon dialog box when using Dial-Up connections. 0 = Display the box. 1 = Do not display the box. Default = 0. If the field is hidden, the data is considered optional. | .cms
Password | Password typed by the user. | .cmp
PasswordHandling | Method of handling the password during the logon process: 0 = Normal (case sensitive). 1 = Lowercase password. 2 = Uppercase password. Default = 0 | .cms
MaxPassword | Maximum length of the password that can be typed by the user. Default = 256 bytes | .cms
PasswordOptional | Whether the user must specify a password in the Connection Manager logon dialog box. 0 = Password required. 1 = Password not required. Default = 0 | .cms
RememberPassword | Whether the user selected the Save password check box in the Connection Manager logon dialog box. 0 = User did not select the check box. 1 = User selected the check box. Default = 0. However, if the Connection Manager service profile is included in an Internet Explorer installation package created with the IEAK, it simplifies user logon if this entry is set to 1. | .cmp
HidePassword | Whether the Password box appears in the Connection Manager logon dialog box when using Dial-Up connections. 0 = Display the box. 1 = Do not display the box.Default = 0. If the field is hidden, the data is considered optional. | .cms
HideRememberPassword | Whether to display the Save password check box in the Connection Manager logon dialog box of Connection Manager and on the Internet Logon tab. Service profiles built to support VPN connections contain this additional tab. 0 = Display the check box. 1 = Do not display the check box. Default = 0. If HideRememberPassword is set to 1, it overrides the HideDialAutomatically setting, even if HideDialAutomatically is not set to 1. | .cms
Domain | Logon domain name typed by the user. | .cmp
MaxDomain | Maximum length of the domain name that can be typed by the user. Default = 15 bytes | .cms
HideDomain | Whether the Logon domain box appears in the Connection Manager logon dialog box when using Dial-Up connections. 0 = Display the box. 1 = Do not display the box. Default = 1 if the profile is supports VPN connections; otherwise Default = 0. If the field is hidden, the data is considered optional. | .cms
HideInternetUsername | Whether the Username box appears on the Properties, Internet Logon tab. 0 = Display the box. 1 = Do not display the box. Default = 0. If the field is hidden, the data is considered optional. If HideInternetPassword and HideInternetUsername are both 1, the tab is not displayed. | .cms
HideInternetPassword | Whether the Password box appears on the Properties, Internet Logon tab. 0 = Display the box. 1 = Do not display the box. Default = 0. If the field is hidden, the data is considered optional. If HideInternetPassword and HideInternetUsername are both 1, the tab is not displayed. | .cms
DialAutomatically | Whether the user selected the Connect automatically check box in the Connection Manager logon dialog box. 0 = User did not select the check box. 1 = User selected the check box. Default = 0 | .cmp
HideDialAutomatically | Whether the Connect automatically check box appears in the Connection Manager logon dialog box. 0 = Display the check box. 1 = Do not display the check box. Default = 0 | .cms
InternetUserName | User name for VPN connections, typed by the user. | .cmp
InternetPassword | Password for VPN connections, typed by the user. | .cmp
RememberInternetPassword | Whether the user selected the Save password check box in the Internet Logon dialog box. 0 = Check box is not selected. 1 = Check box is selected. | .cmp
Phone0 | Primary phone number typed or selected by the user. | .cmp
PhoneCanonical0 | The canonical format of the primary phone number last selected from the phone book, or typed in using the canonical format. | .cmp
PhoneCountry0 | TAPI country/region code for the primary phone number. | .cmp
UseDialingRules0 How dialing rules are applied to the primary phone number. 0 = Use the form of the number exactly as it appears in the phone book or as it is typed. 1 = Apply dialing rules to the canonical form of the number when displaying and dialing. Default = 1 if no values are specified in the .cmp file or the .cms file. The value in the .cmp file, if there is one, takes precedence over the value in the .cms file. .cms
.cmp
PhoneSource0 | Service profile for the primary phone number. | .cmp
Description0 | Description of the primary phone number. Appears in the Phone Book dialog box as a POP name. | .cmp
DUN0 | Dial-Up Networking entries used for the primary phone number. | .cmp
Phone1 | Backup phone number, entered by the user. | .cmp
PhoneCanonical1 | The canonical format of the backup number last selected from the phone book, or typed in using the canonical format. | .cmp
PhoneCountry1 | TAPI country/region code for the backup phone number. | .cmp
UseDialingRules1 How dialing rules are applied to the backup number. 0 = Use the form of the number exactly as it appears in the phone book or as it is typed. 1 = Apply dialing rules to the canonical form of the number when displaying and dialing. Default = 1 if no values are specified in the .cmp file or the .cms file. The value in the .cmp file, if there is one, takes precedence over the value in the .cms file. .cms
.cmp
PhoneSource1 | Service profile for the backup phone number. | .cmp
Description1 | Description of the backup phone number. Appears in the Phone Book dialog box as a POP name. | .cmp
DUN1 | Dial-Up Networking entries used for the backup phone number. | .cmp
Modem0 | Name of the modem device to use for the primary phone number. | .cmp
Modem1 | Name of the modem device to use for the backup phone number. | .cmp
NoPromptReconnect | Whether the user is prompted for reconnection. 0 = Prompt the user. 1 = Do not prompt the user. Default = 0 | .cms
ServiceType0 | Service type that the user most recently selected from the phone book for the primary phone number. | .cmp
ServiceType1 | Service type that the user most recently selected from the phone book for the backup phone number. | .cmp
Region0 | State or province that the user most recently selected from the phone book for the primary phone number. | .cmp
Region1 | State or province that the user most recently selected from the phone book for the backup phone number. | .cmp
Version | Version of the phone book. | .cms
DUN | Dial-Up Networking entries used when Dial-Up Networking in the phone book is blank. Default = ServiceProfileServiceName | .cms
RedialCount Number of redials to attempt. Default = 3 .cms
.cmp
RedialDelay | Delay in seconds between dials. The delay is the elapsed time between the point of failure of the first call and the dialing of the first digit of the next phone number. Default = 5 seconds | .cms
IdleTimeout Time (in minutes) that the connection must be idle before disconnecting. Default = 10 minutes. If set to 0, no timeout occurs. .cms
.cmp
IdleThreshold | Maximum bytes per minute that can be received if an idle state is to be detected for the connection. Default = 0. (This entry is for Windows 95 and Windows 98 operating systems.) | .cms
Logo Location of the .bmp file displayed in the Connection Manager logon dialog box. Default = The standard Connection Manager logon bitmap CMAK
.cms
PBLogo Location of the .bmp file for the Phone Book dialog box. Default = The standard Phone Book bitmap CMAK
.cms
Icon Location of the .ico file for the large program icon. Default = The standard Connection Manager icon CMAK
.cms
SmallIcon Location of the .ico file for the small title-bar icon. Default = The standard Connection Manager icon CMAK
.cms
TrayIcon Name of the .ico file for the status-area icon. Default = The Connection Manager icon CMAK
.cms
HideTrayIcon | Whether to display the status-area icon in the Windows taskbar. 0 = Display the icon. 1 = Do not display the icon. Default = 0. If you choose not to display a status-area icon, you should edit the Help file to remove references to it. | .cms
HelpFile Location (including name) of the custom Help file. Default Help file = The standard service-profile Help file CMAK
.cms
DownloadDelay | Time (in seconds) to delay before downloading phone book updates. Default = 15 seconds when a profile (%Profile%) is passed to the download connect action. This entry is valid only when, in the CMAK wizard, in the Setup Post-Connect Actions dialog box, Automatically download phone book updates is selected. | .cms
HideDelay | Time (in seconds) to delay before displaying the phone book update dialog box (with progress indicators and message). Default = Do not display the dialog box | .cms
PBUpdateMessage | Text that appears in the dialog box during a phone book update. Default = "Downloading new phone book." | .cms
Tunnel Whether VPN connections are enabled for the service profile. 0 = Not enabled. 1 = Enabled. Default = 0 CMAK
.cms
TunnelDUN | Dial-Up Networking entries used for VPN connections. Default = ServiceProfileServiceName Tunnel | .cms
TunnelAddress IP address or domain name for the VPN server. CMAK
.cms
TunnelReferences Whether VPN connections are enabled for phone numbers taken from referenced phone books. 0 = Do not use phone numbers. 1 = Use phone numbers. Default = 0 CMAK
.cms
UseSameUserName Whether to use a separate user name and password when connecting to the Internet service provider (for a VPN connection). 0 = Use the separate user name and password as specified by the user in the Properties dialog box, on the Internet Logon tab. 1 = Use the same user name and password when connecting to the Internet service provider as is specified in the Connection Manager logon dialog box for logging on to the private service. Default = 0 CMAK
.cms
ResetPassword | Whether the New button appears in the Connection Manager logon dialog box to enable a user to reset the password. You can use this button to set up a custom password option. Type the location (including name) of the executable program you use to support this process. You must provide an executable program for this option and include it as an additional file when you run the CMAK wizard. | .cms
AnimatedLogo | Whether an animation is used instead of a static bitmap in the Connection Manager logon dialog box. 0 = Do not use animated graphic. 1 = Use animated graphic. Default = 0. The [Animated Logo] section specifies the location of the animation (.spl or .swf) file. This function is provided for compatibility with Connection Manager 1.0, which supports Macromedia Flash animation files. If you add this option to the service profile, users will be prompted to restart their systems after installing the service profile. | .cms
CheckOSComponents | Whether Connection Manager checks the operating system components. 0 = Check the operating system components only when an error occurs. 1 = Always check the operating system components on startup. Default = 0 | .cms
DoNotCheckBindings | Whether to include the TCP/IP bindings in the TCP/IP check. 0 = Include the TCP/IP bindings in the TCP/IP check and bind all that are not bound. 1 = Do not include the TCP/IP bindings in the TCP/IP check. Default = 0. (This entry applies only to Windows 95 and Windows 98.) TCP/IP shims are protected from checking only if this option is set to 1 in all installed service profiles. This option does not prevent bindings from being checked by other service profiles or programs. | .cms
AutoReconnect | Whether Connection Manager attempts to re-establish a connection that is dropped by the network. 0 = Do not attempt to re-establish dropped connections. 1 = Connection Manager automatically attempts to re-establish any connection dropped by the network, unless the connection was torn down (for example, by timeout). However, in Windows NT, Connection Manager always attempts to reconnect regardless of the timeout settings. Default = 0. If AutoReconnect is set to 1 (attempt reconnection), Connection Manager attempts to re-establish the connection without prompting the user. | .cms
LanaTimeout | The time (seconds) to wait before attempting connection to a VPN server. Default = 20. Increase this value if the connection consistently fails to find a domain controller. | .cms
[Profile Format] | Service-profile version.
Version Format version of the profile or service file. .cms
.cmp
[ISP] | Service types (such as Modem or ISDN) that you want to list in the Phone Book dialog box, and how you want phone numbers to appear for each service type. The Mask and Match lines control where a phone number is listed in the Phone Book dialog box. You can specify whether the number is listed under Access numbers or under More access numbers. Each Mask and Match line has a corresponding service option in Phone Book Administrator.
PBFile Location of the phone book (.pbk) file used by the service profile. CMAK
.cms
RegionFile Location of the region (.pbr) file used by the service profile. CMAK
.cms
PBURL Uniform Resource Locator (URL) for the phone book update. CMAK
.cms
Mask&FilterName | Mask value for FilterName. | .cms
Match&FilterName | Match value for FilterName. | .cms
FilterA&ServiceProfile | List of filter names to be applied to the access numbers' phone-book settings field (for example, FilterA& = NosurchargeSignon). The selected phone numbers are listed in the Connection Manager Phone Book dialog box, in the Access numbers box. Default = NosurchargeSignon | .cms
FilterB&ServiceProfile | List of filter names to be applied to the referenced phone book options field (for example, FilterB& = SurchargeSignon). The selected phone numbers are listed in the Connection Manager Phone Book dialog box, in the More access numbers box. Default = SurchargeSignon | .cms
References Service profiles merged through the CMAK wizard. Profile names are separated by commas or spaces. Each name is used as a reference to that profile. CMAK
.cms
CMSFile&MergedProfile Location of the merged service file (.cms file). The format is CMSFile&MergedProfile=Location, where MergedProfile is the name of the merged service profile and Location is the location of the .cms file for the merged service profile. For example, CMSFile&Awesome1 = Awesome1\AwesomeE.cms CMAK
.cms
FilterA&MergedProfile List of filter names to be applied to the referenced phone book options field. The format is FilterA&Reference = FilterName, where MergedProfile is the name of the merged service profile, as specified in the CMSFileMergedProfile entry, and FilterName is the name of the filter to be applied (for example, FilterA&AwesomeE = NoSurchargeSignon). The selected phone numbers are merged into the list in the Connection Manager Phone Book dialog box, in the Access numbers box. CMAK
.cms
FilterB&MergedProfile List of filter names to be applied to the referenced phone book options field. The format is FilterB&MergedProfile = FilterName, where MergedProfile is the name of the merged service profile, as specified in the CMSFileReference entry, and FilterName is the name of the filter to be applied (for example, FilterB&AwesomeE = SurchargeSignon). The selected phone numbers are merged into the list in Connection Manager Phone Book dialog box, in the More access numbers box. CMAK
.cms
[Service Types] | Items that are listed in the Phone Book dialog box, under Service type.
ServiceType | A service type as a filter name to be applied to the referenced phone book options field. The format of the entry is ServiceType=FilterName, where ServiceType is the name as it appears in the Phone Book dialog box, in the Service type list box, and FilterName is the name of the filter to be associated with the entry (for example, ISDN Multicast = MulticastISDN). It is recommended that a service type name include no more than 25 characters. If you need to add service type, copy and edit an existing line in the [Service Types] section. | .cms
[Pre-Connect Actions] Optional pre-connect actions to run before a connection is established. The following environment variables are set in Connection Manager and can be implemented in connect actions as command-line options: Profile, UserName, UserPrefix, UserSuffix, ServiceName, DialRasPhoneBook, TunnelRasPhoneBook, AutoRedial, PopName, RasErrorCode, DialRasEntry, TunnelRasEntry. (Other settings are available through the RAS.) CMAK
.cms
# A single pre-connect action. The format of the entry is # = Program, where # is a number from 0 to x, and Program is the complete name of the program (including the .exe or .dll file and associated parameters). Programs start in sequence: 0 first, 1 next, and so on. CMAK
.cms
#&Flags Whether a pre-connect action runs when a specific type of connection is established. The format of the entry is #&options = x, where # is the number of a defined pre-connect action and x is a value indicating how dial-up and direct connections for that pre-connect action are handled:
  • If x = 0, both dial-up and direct connections include this pre-connect action.
  • If x = 1, only direct connections include this pre-connect action.
  • If x = 2, only dial-up connections include this pre-connect action.
Default = 2 		CMAK
.cms
#&Description A short description of a pre-connect action. The format of the entry is #&Description = text, where # is the number of a defined pre-connect action and text is the descriptive information for that pre-connect action. This option can provide useful information when a synchronous connect action does not run properly. Default = name specified using # = Program for the pre-connect action. Default = program name specified using # = Program for the pre-connect action. CMAK
.cms
[Pre-Tunnel Actions] Optional pre-tunnel actions to run after a connection is established, but before a VPN connection is established. Pre-tunnel actions use the same format as other connect actions (as shown in the [Pre-Connect Actions] section, the #, #&option, and #&Description entries). CMAK
.cms
[Connect Actions] Optional post-connect actions to run after a connection is established and, if using a VPN connection, after the tunnel is established. Post-connect actions use the same format as other connect actions (as shown in the [Pre-Connect Actions] section, the #, #&option, and #&Description entries). CMAK
.cms
[Disconnect Actions] Optional disconnect actions to run immediately before disconnecting. Disconnect actions use the same format as other connect actions (as shown in the [Pre-Connect Actions] section, the #, #&option, and #&Description entries). CMAK
.cms
[Pre-Dial Actions] | Optional pre-dial actions to run immediately before dialing. Pre-dial actions use the same format as other connect actions (as shown in the [Pre-Connect Actions] section, the #, #&option, and #&Description entries), but they cannot be set in the CMAK wizard. | .cms
[On-Cancel Actions] | Optional on-cancel actions to run when the user cancels a session after the connection has been started. On-cancel actions use the same format as other connect actions (as shown in the [Pre-Connect Actions] section, the #, #&option, and #&Description entries), but they cannot be set in the CMAK wizard. | .cms
[On-Error Actions] | Optional on-error actions to run when an error occurs. On-error actions use the same format as other connect actions (as shown in the [Pre-Connect Actions] section, the #, #&option, and #&Description entries), but they cannot be set in the CMAK wizard. | .cms
[Auto-Applications] Optional auto-applications to run during a connection. Auto-applications are similar to connect actions, but they cause the connection to close as soon as the final auto-application completes. (Auto-applications use the same format as shown in the [Pre-Connect Actions] section, the # entry). Unlike pre-connect actions, auto-applications do not use the #&option or #&Description entries. CMAK
.cms
[Menu Options] | Shortcut menu that appears when a user right-clicks the status-area icon for your service.
MenuItemName Command to be run from the shortcut menu. Shortcut menu commands use the format MenuItemName = Program, where MenuItemName is the descriptive name that appears on the shortcut menu and Program is the name of the executable file (.exe or .dll), including any parameters required for the program. For example, if you wanted to add Notepad to the menu with the command name "Editor," the [Menu Options] line is Editor = Notepad.exe. Default commands = Status and Connect. These programs are available in a shortcut menu that appears after a user right-clicks the status-area icon. Applications are listed in the menu in sequence: 0 first, 1 next, and so on. CMAK
.cms
[Animated Logo] | Animation for the Connection Manager logon dialog box. AnimatedLogo in the [Connection Manager] section determines whether an animation is used.
Movie | Location of the optional animation file displayed in place of the static bitmap in the logon dialog box. Settings in the [Animated Actions] section control how the optional animation plays based on the connection state. | .cms
Parameter | Other animation parameters passed from software used to create the animation, such as Quality = 3. | .cms
[Animated Actions] | When to play segments of the animation.
Initial | Starting frame number; plays when Connection Manager starts. | .cms
Dialing0 | Starting frame number; plays while the primary phone number is dialed. | .cms
Pausing | Starting frame number; plays during pauses between dials. | .cms
Dialing1 | Starting frame number; plays while the backup phone number is dialed. | .cms
Authenticating | Starting frame number; plays during user authentication. | .cms
Tunneling | Starting frame number; plays while establishing a VPN connection. | .cms
Connected | Starting frame number; plays when a connection is established. | .cms
Error | Starting frame number; plays at any connection error. | .cms
[Server&EntryName] | Dial-Up Networking configuration. To store settings for multiple Dial-Up Networking entries, the name of the Dial-Up Networking entry is appended to each section header for that entry (for example, Server&Awesome1).
NetworkLogon | Whether to log on to the network. 0 = Do not log on. 1 = Log on. Default = 0 | .cms
SW_Compress | Whether to negotiate PPP software compression of data. 0 = Do not negotiate. 1 = Negotiate. Default = 1 | .cms
Disable_LCP | Whether to enable Link Control Protocol (LCP) extensions. 0 = Enable. 1 = Disable. Default = 1 | .cms
PW_Encrypt | Whether to encrypt password when authenticating. 0 = Do not encrypt. 1 = Encrypt. Default = 0 | .cms
Negotiate_TCP/IP | Whether to negotiate TCP/IP. 0 = Do not negotiate. 1 = Negotiate. Always set to 1. | .cms
Negotiate_IPX | Whether to negotiate IPX protocol. 0 = Do not negotiate. 1 = Negotiate. Default = 1 | .cms
Negotiate_NetBEUI | Whether to negotiate NetBEUI protocol. 0 = Do not negotiate. 1 = Negotiate. Default = 0 | .cms
[TCP/IP&EntryName] | Dial-Up Networking configuration. The name of the Dial-Up Networking entry is appended to each section header for that entry (for example, [TCP/IP&Awesome1]).
Specify_IP_Address | Whether to specify a static IP address. 0 = Do not specify. 1 = Specify. Default = 0 | .cms
IP_Address | Static IP address | .cms
Specify_Server_Address Whether to specify static DNS and WINS addresses. 0 = Do not specify. 1 = Specify. Default = 0 CMAK
.cms
DNS_Address DNS address CMAK
.cms
DNS_Alt_Address Alternate DNS address CMAK
.cms
WINS_Address WINS address CMAK
.cms
WINS_Alt_Address Alternate WINS address CMAK
.cms
IP_Header_Compress | Whether to enable IP header compression. 0 = Not enabled. 1 = Enable. Default = 1 | .cms
Gateway_On_Remote | Whether to use the default gateway on the remote private network. 0 = Do not use. 1 = Use. Default = 1 | .cms
[Networking&EntryName] | Dial-Up Networking configuration. The name of the Dial-Up Networking entry is appended to each section header for that entry (for example, [Networking&Awesome1]). | .cms
VpnStrategy | Which tunneling protocol to use when establishing a VPN connection. 0 = Automatically select the primary protocol. 1 = Use PPTP only. 2 = Try PPTP first. 3 = Use L2TP only. 4 = Try L2TP first. If this value is not specified, the RAS default value of 0 (currently 0) is used. Note: PPTP is currently the primary protocol. | .cms
[Scripting&EntryName] Section | Location (path and file name) of the script (.scp) file for the Dial-Up Networking entry. The name of the Dial-Up Networking entry is appended to each section header for that entry (for example, [Scripting&Awesome1]).
Name Location (including file name) of the script (.scp) file for the Dial-Up Networking entry. CMAK
.cms


Phase three: Running the CMAK wizard and creating a service profile

Using the Connection Manager Administration Kit wizard, you can quickly and easily build the required service profiles to configure Connection Manager.

All custom elements must be ready before you run the CMAK wizard to build a service profile. Get organized before you start the wizard, and ensure that you have everything you need, including:

  • Copies of all planning worksheet pages for each service profile to be built.
  • All external files required to implement the custom elements. These files should be specified on the planning worksheet.

This guide covers information that you need to know to run the CMAK wizard and create a service profile:

  • Preparing to run the CMAK wizard
  • Using the CMAK wizard to build a service profile
  • Finishing customization after running the CMAK wizard


Preparing to run the CMAK wizard

You run the CMAK wizard to create a service profile. As you step through the wizard, you are prompted to select customizable options and type the location of customized elements that you have prepared. Before you can run the wizard, you must set it up on your computer and ensure that all custom elements are available.

Setting up the CMAK wizard

No set up of the CMAK wizard is required once it is installed but, before running the CMAK wizard, make sure that you have read the information in the readme file (CMAKRead.htm) to ensure that you understand any restrictions on how to use the CMAK wizard to set up your service profile.

Editing the templates

Before you use the CMAK wizard to build a service profile, locate the advanced customization information for the worksheet provided by the network administrator or other technical lead. Advanced customization of the templates must be done before you run the wizard. For more information on editing the template files, see Advanced customization: Editing service profile files.

Setting up a folder for custom elements

All custom elements prepared by you and other members of your team must be accessible as you run the CMAK wizard. Create a folder in which to place all custom files to be incorporated into the service profile. Using a single location for custom elements makes it easier to build profiles when you run the CMAK wizard. You might want to set up a folder at a network location so your team can share a common location to save and access files as they develop the custom elements. Before running the wizard, check the planning worksheet created for the service profile against the contents of the custom folder to ensure that all files are available.

Creating multiple customized versions

To build multiple service profiles, you should have a separate worksheet for each profile to be built. To simplify building a service profile similar to one you already have, you can duplicate the existing service profile and edit it as appropriate.

To build a new service profile from an existing profile

  1. In the Service Profile Source dialog box, specify the option to Edit this existing service profile, and then select the appropriate existing profile from the drop-down list.
  2. In the Service and File Names dialog box, specify a new service name and file name for the new profile.
  3. Proceed through the wizard, changing any specific options as appropriate, to build the new service profile.

Important

  • The existing service profile is not affected, as long as you specify a different service name and file name for the service profile you are building. If you do not specify a new file name, the CMAK wizard will prompt you that you want to overwrite the existing service profile. If you specify a new file name but do not specify a new service name, users who have the existing service profile installed and then install the new service profile will experience problems in connecting using the service profile.

Updating and editing existing service profiles

When you create a service profile, the CMAK wizard copies all incorporated files into the CMAK folder for that service profile (...CMAK\Profiles\ServiceProfileFileName). When you edit an existing profile, the wizard always pulls the incorporated files from the CMAK folder. To make changes to the incorporated files, you can either edit the incorporated file in the CMAK folder and then run the wizard again to update the service profile, or you can start the wizard, delete the referenced files, add the updated file by browsing to it, and then finish running the wizard.

Notes

  • When you edit an existing service profile created with a previous version of the Connection Manager Administration Kit, the CMAK wizard automatically updates the profile. Any changes you have made manually to the .inf file (using advanced customization techniques) will not be retained in the upgraded file. However, the CMAK wizard creates a backup of the old .inf file before creating the updated file.
  • When you use the CMAK wizard to edit a service profile that contains a merged service profile, the wizard attempts to use the latest version of the merged service profile. If the CMAK wizard cannot find the merged service profile in the \Program Files\CMAK\Profiles\ServiceProfileFileName folder, it defaults to the current version of the merged service profile, originally stored with the service profile that you are editing.


Using the CMAK wizard to build a service profile

You create a service profile in three overall steps:

  1. Start the CMAK wizard.
  2. Run the CMAK wizard and enter all the necessary information.
  3. Let the CMAK wizard build your customized service profile.

Starting the CMAK wizard

Do not start the CMAK wizard until you have collected all the information you need and have prepared all the custom bitmaps, Help files, and other items, as described in earlier sections.

To start the CMAK wizard

  • Click Start, point to Programs, then click Connection Manager Administration Kit.

Running the CMAK wizard

Other sections in this documentation provide details on how to build a service profile, describing them in the order in which dialog boxes appear when you run the CMAK wizard. The sequence of items shown in the planning worksheet is identical to the sequence in which the items appear in the CMAK wizard. Based on the options you select in the wizard, some dialog boxes may be skipped; these should correspond to non-selected items on the worksheet.

When specifying the file location of any custom element (such as the phone book, bitmaps, icons, and so on), type the complete path or browse to find the appropriate file.

After you enter information and select options on each screen, click Next to advance to the next screen. If you want to change information that you entered in previous dialog boxes, you can click Back as many times as necessary to find the settings you want to change. Make your changes, and then click Next to continue moving forward through the CMAK wizard.

If at any time you want more information about the information to be included in a particular CMAK wizard dialog box, click Help in the dialog box to open the Connection Manager Administration Kit Guide to a page containing Help specific to the content of that dialog box.

Finishing the CMAK wizard and building a service profile

When you finish entering information and are ready for the CMAK wizard to create a service profile, click Finish. After the CMAK wizard builds the service profile, a dialog box appears, indicating the folder and file name that were used to save the service profile.

Note

  • After you finish, you can continue with the advanced customization, including editing the .cms files and other service profile files. For more information, see Advanced customization: Editing service profile files. Be sure to rerun the CMAK wizard after completing advanced customization.


Finishing customization after running the CMAK wizard

After you use the CMAK wizard to build a service profile, locate the advanced customization information for the planning worksheet provided by the network administrator or other technical lead. If the worksheet indicates that changes are required in the .cms or other files for the service profiles (not the template files), you must edit the appropriate files to make these changes after running the wizard.

Note

  • The changes made to the .cms file for a service profile are specific to that service profile. To make a change that you want applied to all future service profiles, edit the template file. For more information on editing template files, see Preparing to run the CMAK wizard.

To edit a .cms file for the service profile

  1. Locate the ServiceProfileFileName.cms file in the \Program Files\CMAK\Profiles\ServiceProfileFileName folder and make backup copies of the file.
  2. Use a text editor such as Notepad to edit the file, changing the entries only as specified on the worksheet.

    Be sure to save your changes before you close the file.

  3. Restart the CMAK wizard, and then click Next to proceed to the Service Profile Source screen.
  4. In Select a profile, select Edit this existing service profile and then select the name of the service profile being edited.
  5. Proceed through all other screens without making any changes, and then click Finish to rebuild your service profile.

    During the rebuilding process, the advanced customization that you did in the .cms file is applied to the service profile.

To edit other files for the service profile

Most advanced customization is done in the .cms file, but you can also edit the .inf and .sed files. Such changes are not recommended.

Important

  • If you do edit the .inf file, be extremely cautious.

If the worksheet for the service profile specifies it, edit these other files using the same procedures as specified above for the .cms files. These files are located in the same folder as the .cms file. To save time, edit all required files before rerunning the CMAK wizard to incorporate the changes.


Phase four: Preparing for delivery

Connection Manager and your service profile can be delivered and installed on its own or integrated with an Internet Explorer installation package that is created with the IEAK wizard. How you package and deliver your customized version will affect the way it is provided to your users. This section covers those options and considerations:

  • Integrating Connection Manager with an Internet Explorer installation package
  • Using command-line parameters
  • Signing your code


Integrating Connection Manager with an Internet Explorer installation package

If you include the Connection Manager service profile in an Internet Explorer installation package created using the Internet Explorer Administration Kit (IEAK), you can simplify installation for your users by providing a single installation package that installs both. Using this package, users can install in a single procedure.

To provide this integrated support, you must set up an integrated delivery when you create the installation package, and then you must synchronize the service profile and the Internet Explorer .ins file. You must also customize the individual user information that is provided to users when they first connect to your online sign-up server.

Creating the integrated installation package

The IEAK provides support for incorporating a Connection Manager service profile in the Internet Explorer installation package created with the Internet Explorer Customization wizard. It is recommended that you create the Connection Manager service profile and test it before starting the Internet Explorer customization wizard. The following procedure shows the recommended process:

To integrate the Connection Manager service profile into the Internet Explorer installation package

  1. Create and test your Connection Manager service profile, as covered in this CMAK Guide.
  2. Run the Microsoft Internet Explorer Customization wizard and create an installation package.
  3. In the Feature Selection dialog box (in the Stage 1 – Gathering Information section of the wizard), select the Connection Manager check box.
  4. In the Connection Manager Customization dialog box (in the Stage 3 – Customizing Setup section), click Use custom profile and browse to the location of your service profile in the Path of custom profile box and select it, and then click Next.

    Note

    • The Internet Explorer Customization wizard supports creation of the Connection Manager service profile by using the Start CMAK button in the Connection Manager Customization dialog box, but it is recommended that you create the service profile before starting the wizard.

  5. Continue through the Internet Explorer Customization wizard to complete creation of the Internet Explorer installation package (containing the Connection Manager service profile).

Customizing the Internet Explorer .ins file to support integration of Connection Manager

The Internet Explorer .ins file is either shipped with the installation package or, more often, dynamically created by the online sign-up server. In the latter case, the Internet service provider (ISP) should change the online sign-up server code to create .ins files with these new settings, using the following procedure.

To customize the Internet Explorer .ins file to support integration of Connection Manager

  1. In the [Entry] section of the Internet Explorer .ins file, verify that the service name is identical to the service name specified in the [Connection Manager] section of the Connection Manager .cms file.
  2. In the [Custom Dialer] section of the .ins file, type the following two items, which set up Connection Manager as the default dialer for Internet Explorer:

    3. Auto_Dial_DLL=cmdial32.dll

    Auto_Dial_Function=_InetDialHandler@16

  3. In the [Custom] section of the .ins file, type:

    Run=icwconn2.exe

    Keep_Connection=yes

    to merge the .ins file with the entries in the Connection Manager .cms file.

  4. In the [ClientSetup] section of the .ins file, type the following two items, customizing the first to reflect the role of Connection Manager in your service:

    5. Done_Message=End of Signup Message

    Explore_Command=End of Signup URL/Window

Notes

  • The two messages listed in Step 4 are invoked as a result of running Icwconn2.exe. If you do not specify both, your users will receive error messages.

For more information on editing the .cms file for Connection Manager, see Advanced customization: Editing service profile files. For more information on editing the .ins file for Internet Explorer, see the Internet Explorer Administration Kit.


Using command-line parameters

If you use the Internet Explorer Administration Kit (IEAK) to integrate a Connection Manager service profile with an Internet Explorer installation package, the Internet Explorer Customization wizard incorporates the command-line parameters needed to integrate the two installation programs.

Using your own installation program

You can use your own installation package to install Connection Manager, but quiet installation is not currently supported. Using a /q:a command-line parameter suppresses the prompt which asks the user whether they want to install the profile. The verification message that the installation has succeeded will still be displayed.


Signing your code

After you have completed all customization, it is recommended that you sign your code before distributing it. Signing your code with a digital signature assures your users that the programs are from a known source and have not been altered.

You should digitally sign your customized service profile and any custom programs to ensure that users do not receive warnings when they install Connection Manager. Users may be prevented from installing ActiveX controls and Java packages that are not signed.

Further information on code signing can be found in the Internet Explorer Administration Kit (IEAK). If you include a Connection Manager service profile in an Internet Explorer installation package created using Internet Explorer Connection wizard in the IEAK and you specify the digital signature option in the wizard, the digital signature support provided for the installation package will include the Connection Manager service profile.

For information on code signing, go to the Microsoft Developer Network (MSDN) Web site, click Search on the MSDN screen, and type "digital signature" or "code signing" as search words for a Boolean search on the entire Microsoft site.


Phase five: Testing your deliverables

Phase five: Testing your deliverables

Before you distribute the service profile that you created with the CMAK wizard, you must test it. This section describes how to install and test service profiles. It also describes things you should consider if you want to provide users with your own installation program to install service profiles.

This section covers a test process, including the criteria to use when testing your deliverables.


Test process

Test your service profiles to ensure that all planned functionality is implemented and working as planned. The completed planning worksheet can be used as a checklist to verify the features and functions that should be available in the service profile.

Install and use each of your service profiles on each target operating system. If you distribute the service profile on disk and by e-mail, test each method. If you are providing multiple language versions, test each one on the operating system with the appropriate national language.

Notes

  • If you have users with previous versions of your service profile, test Connection Manager on computers on which your previous service profiles are installed, as well as on computers that have not had previous versions installed.

Following are basic testing steps:

To test your service profile

For each service profile and scenario, use Connection Manager to do all of the following:

  • Install the service profile, as described in the readme and other documentation that you provide to the user.
  • Provide the required user data (user name, user password, and so on) needed to connect.
  • Select a POP from the phone book and establish a connection.
  • View network resources while connected to your service.
  • Disconnect from Connection Manager.
  • Uninstall the service profile.

Test criteria

As you install and use Connection Manager, ensure that each service profile has the appearance, features, functionality, and usability that you want:

  • Do the screens contain the appropriate titles, text, and graphics, and does each screen appear completely and correctly?
  • Are all of the required programs included in the service profile? If not, are all required programs available on all target operating systems?
  • Do all menu items for the status-area icon function appropriately?
  • Do you have appropriate Help topics, including troubleshooting Help, for all functions and features? Do these Help files match the service profile? If you customized any Help topics, do they appear as expected?
  • Is everything formatted and spelled correctly, including the license agreement, the screen text, the text in the Connection Manager dialog box, and other user information?
  • Is all the information needed to install and use Connection Manager and the service profile available when and where it is needed?
  • If you provided custom Dial-Up Networking entries (especially scripts), do they work as intended?
  • If you support such connections, can you establish a direct and VPN connection?
  • If you included any pre-connect, pre-tunnel, post-connect, or disconnect actions, or auto-applications, do they work as expected?
  • If you edited your .cms and other service profile files, do your custom entries perform as expected?
  • If you use code signing, does it display the authentication as expected?
  • Can you connect using POPs in the phone book for each of the service types you support?
  • Do the components of Connection Point Services provide the required functionality, as described in the Connection Point Services documentation?


Phase six: Supporting your customers

Phase six: Supporting your customers

Effective customer support depends on your ability to resolve customer questions and problems quickly and effectively. This section contains information intended to help you and your users address the more common situations:

  • Verifying customization
  • Troubleshooting process


Verifying customization

There are several instances in which customization requirements are very stringent. This section repeats the information that is most commonly overlooked.

Verify that the service name and file name are valid

If you are updating an existing service profile, the service and file names should be identical to the previous ones. If you are creating a new profile (from scratch or by editing an existing service profile and renaming it), make sure that the service name and file name are not identical to any other service profiles that you provide to your customers. If you do not specify a file name that is different from the one users already have installed on their computers, the original service profile will be overwritten. If you specify a new file name but do not specify a new service name, users who have the existing service profile installed and then install the new service profile with the different service name will experience problems in connecting. The problems can include not being able to connect using either or both service profiles.

If you need to make changes to an existing profile, use the CMAK wizard to edit the profile instead of creating a new file with the same name.

Verify that the realm provides correct routing and authentication

If you use the Microsoft Membership System component of Microsoft Commercial Internet System (MCIS), be aware that it does not accept all characters in key system parameters (including realm), but that it does require a separator for the realm. If you want to set up Connection Manager connect actions to include these services, see the Membership System documentation to verify which characters you can use. Remember, when connecting to Membership System, the trailing character is stripped for prefix realms and the leading character is stripped for suffix realms. Verify that the ISP that is handling the routing has set up the routing information correctly.

Verify that the Dial-Up Networking entry is correct in CMAK and the phone book

The phone book Dial-Up Networking entry that you set up in the phone book must exactly match the entry you set up in your service profile. Use a text editor such as Notepad to open the Phone Book Administrator file and verify that all Dial-Up Networking entries (at the end of each line) match the entries you set up in the CMAK wizard.

Verify that all required protocols are specified correctly

Verify that the required network protocols, including TCP/IP, IPX, and NetBEUI (as appropriate), are specified in the [Server&EntryName] section of the .cms file for the specified Dial-Up Networking entry.

Verify that proxy settings are set as required to support successful connection to your service

If your service requires special proxy settings, verify that any required connect actions have been designed and implemented to adjust the settings on the user's computer as required.

Verify that resident programs on users' computers can be opened

If your connect actions or other custom settings depend on the program being available on your users' computers (that is, you are not providing it in your service profile), verify that the program is in the default path and available to Connection Manager. Not all programs that appear on the Start menu are necessarily set up to use the default path. Connection Manager may not be able to find the installed program if it is not in the default path.

Verify that your service profile updates are complete

When you edit a service profile created using a previous version of Connection Manager, the CMAK wizard automatically upgrades the profiles to Connection Manager 1.2. Any changes you have made manually to the .inf file (using advanced customization techniques) will not be retained in the upgraded file. However, the CMAK wizard creates a backup copy of the old .inf file before creating the updated file.

Verify that your time-outs are not preventing access to your domain

For VPN connections, users sometimes get a message that the domain controller couldn't be found, even though the routing information is correct. In this case, setting the LanaTimeout entry in the .cms file may correct the problem. This increases the time (in seconds) to wait before attempting to connect to a VPN server. Increase this value if the connection consistently fails to find a domain controller.


Troubleshooting process

The first level of troubleshooting is provided in the Help files that are included with your service profile. This troubleshooting Help information makes it possible for many problems to be resolved directly for the user. Each problem that cannot be resolved leads to a Help topic that instructs the user to call customer support. This Help topic should have been customized with a phone number for your customer support group.

To resolve problems most effectively:

  1. Make sure that all system requirements were met.
  2. Make sure that the right access numbers are being used and that they are being entered appropriately. (Verify that the users understand that dialing properties are applied only to numbers selected from a phone book. If a number is typed or edited by the user, the user must then type all dialing information, including information such as long-distance and external access numbers.)
  3. Make sure that users know how to access the Connection Manager troubleshooter Help, and verify the path that they have taken through the troubleshooter Help.
  4. Check the appropriate readme file (including CMAKRead.htm) to determine if the problem is a known issue.
  5. Look for common mistakes. Make sure that:
    • The modem is on.
    • Any calling card number on the Dialing Properties page does not exceed 36 characters. This often causes a General Protection Fault error. (To display the Dialing Properties page, in the Properties dialog box, on the General tab, click Dialing Rules.)
    • The appropriate version of Connection Manager is installed.
    • The latest version of Dial-Up Networking is installed.
    • The latest service pack is installed.
    • The proxy settings are correct.
    • All required network protocols, including TCP/IP, IPX, and NetBEUI (as appropriate), are installed and configured correctly on the user's computer. (If the user can get to the network, but can't reach any services, a protocol on the user's computer may be corrupted.)
    • If your service profile supports VPN connections, PPTP is installed and configured correctly and completely. (This is usually a problem only on Windows NT 4.0, where Connection Manager does not automatically install PPTP.)
    • The required Dial-Up Networking entry is available on the user's computer.
  6. Users have received all workarounds and solutions, as appropriate. For information on Remote Access Service or Dial-Up Networking problems, search the Knowledge Base articles on Microsoft Developer Network (MSDN) Web site.


Support Online from Microsoft Technical Support

Get the latest answers to technical questions over the Internet

Support Online from Microsoft Technical Support

If you have a technical question and can't find your answer in the Help file, go to the Microsoft Support Online. Select your product, type in your question, and the site does the rest of the work for you. From technical articles in the Microsoft Knowledge Base to Troubleshooting wizards and downloadable files, Support Online gathers the specific resources most likely to help you find the answer to your question.

To begin your search, go to the Support Online Web site.